import { IEffectsAction } from 'redux-effects-promise';
/**
 * @action-builder
 * @stable [09.05.2020]
 */
export declare class DictionariesActionBuilder {
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildLoadActionType(section: string): string;
    /**
     * @stable [09.05.2020]
     * @returns {string}
     */
    static buildDestroyActionType(): string;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildLoadDoneActionType(section: string): string;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildLoadErrorActionType(section: string): string;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildSetActionType(section: string): string;
    /**
     * @stable [09.05.2020]
     * @returns {IEffectsAction}
     */
    static buildDestroyAction(): IEffectsAction;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @param {TData} data
     * @returns {IEffectsAction}
     */
    static buildLoadAction<TData = {}>(section: string, data?: TData): IEffectsAction;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @param {TData[] | TData} data
     * @returns {IEffectsAction}
     */
    static buildSetAction<TData = {}>(section: string, data?: TData | TData[]): IEffectsAction;
    /**
     * @stable [30.03.2020]
     * @param {string} section
     * @param {TData} data
     * @returns {IEffectsAction}
     */
    static buildLoadPlainAction<TData = {}>(section: string, data?: TData): IEffectsAction;
    /**
     * @stable [09.05.2020]
     * @param {string} section
     * @param {TData[] | TData} data
     * @returns {IEffectsAction}
     */
    static buildSetPlainAction<TData = {}>(section: string, data?: TData | TData[]): IEffectsAction;
}
