import { IEffectsAction } from 'redux-effects-promise';
/**
 * @action-builder
 * @stable [08.05.2020]
 */
export declare class FilterActionBuilder {
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildApplyActionType(section: string): string;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildChangeActionType(section: string): string;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildDeactivateActionType(section: string): string;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildActivateActionType(section: string): string;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildDestroyActionType(section: string): string;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildApplyPlainAction(section: string): IEffectsAction;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildActivatePlainAction(section: string): IEffectsAction;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDeactivatePlainAction(section: string): IEffectsAction;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @param {string} query
     * @returns {IEffectsAction}
     */
    static buildChangePlainAction(section: string, query: string): IEffectsAction;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyPlainAction(section: string): IEffectsAction;
    /**
     * @stable [27.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyAction(section: string): IEffectsAction;
}
