"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../definition");
var util_1 = require("../util");
var FilterFormDialogActionBuilder = /** @class */ (function () {
    function FilterFormDialogActionBuilder() {
    }
    /**
     * @stable [12.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildResetActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.FILTER_FORM_DIALOG_RESET_ACTION_TYPE;
    };
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildAcceptActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.FILTER_FORM_DIALOG_ACCEPT_ACTION_TYPE;
    };
    /**
     * @stable [10.03.2019]
     * @param {string} section
     * @returns {string}
     */
    FilterFormDialogActionBuilder.buildClearActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.FILTER_FORM_DIALOG_CLEAR_ACTION_TYPE;
    };
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    FilterFormDialogActionBuilder.buildResetPlainAction = function (section) {
        return { type: this.buildResetActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    FilterFormDialogActionBuilder.buildAcceptPlainAction = function (section) {
        return { type: this.buildAcceptActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [23.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    FilterFormDialogActionBuilder.buildClearPlainAction = function (section) {
        return { type: this.buildClearActionType(section), data: util_1.applySection(section) };
    };
    return FilterFormDialogActionBuilder;
}());
exports.FilterFormDialogActionBuilder = FilterFormDialogActionBuilder;
//# sourceMappingURL=filter-form-dialog-action.builder.js.map