"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var definition_1 = require("../definition");
var util_1 = require("../util");
/**
 * @action-builder
 * @stable [06.05.2020]
 */
var PageToolbarActionBuilder = /** @class */ (function () {
    function PageToolbarActionBuilder() {
    }
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {string}
     */
    PageToolbarActionBuilder.buildNextPageActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.NEXT_PAGE_ACTION_TYPE;
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {string}
     */
    PageToolbarActionBuilder.buildPreviousPageActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.PREVIOUS_PAGE_ACTION_TYPE;
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {string}
     */
    PageToolbarActionBuilder.buildFirstPageActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.FIRST_PAGE_ACTION_TYPE;
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {string}
     */
    PageToolbarActionBuilder.buildLastPageActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.LAST_PAGE_ACTION_TYPE;
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    PageToolbarActionBuilder.buildFirstPagePlainAction = function (section) {
        return { type: this.buildFirstPageActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    PageToolbarActionBuilder.buildLastPagePlainAction = function (section) {
        return { type: this.buildLastPageActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    PageToolbarActionBuilder.buildPreviousPagePlainAction = function (section) {
        return { type: this.buildPreviousPageActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [06.05.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    PageToolbarActionBuilder.buildNextPagePlainAction = function (section) {
        return { type: this.buildNextPageActionType(section), data: util_1.applySection(section) };
    };
    return PageToolbarActionBuilder;
}());
exports.PageToolbarActionBuilder = PageToolbarActionBuilder;
//# sourceMappingURL=page-toolbar-action.builder.js.map