import { IEffectsAction } from 'redux-effects-promise';
export declare class RouterActionBuilder {
    /**
     * @stable [18.12.2019]
     * @param {number} depth
     * @returns {IEffectsAction}
     */
    static buildNavigateBackPlainAction(depth?: number): IEffectsAction;
    /**
     * @stable [06.02.2020]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildNavigatePlainAction(path: string): IEffectsAction;
    /**
     * @stable [30.03.2020]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildRewritePlainAction(path: string): IEffectsAction;
    /**
     * @stable [03.06.2018]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildNavigateAction(path: string): IEffectsAction;
    /**
     * @stable [30.03.2020]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildRewriteAction(path: string): IEffectsAction;
    /**
     * @stable [17.11.2019]
     * @param {string} path
     * @returns {IEffectsAction}
     */
    static buildReplaceAction(path: string): IEffectsAction;
    /**
     * @stable [17.11.2019]
     * @returns {IEffectsAction}
     */
    static buildBackAction(): IEffectsAction;
    /**
     * @stable [17.11.2019]
     * @returns {IEffectsAction}
     */
    static buildReloadAction(): IEffectsAction;
}
