import { IEffectsAction } from 'redux-effects-promise';
import { IFluxActiveValueEntity } from '../definition';
export declare class TabPanelActionBuilder {
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildActiveValueActionType(section: string): string;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildInactiveValueActionType(section: string): string;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    static buildDestroyActionType(section: string): string;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyPlainAction(section: string): IEffectsAction;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @param {IFluxActiveValueEntity} payload
     * @returns {IEffectsAction}
     */
    static buildActiveValuePlainAction(section: string, payload: IFluxActiveValueEntity): IEffectsAction;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @param {IFluxActiveValueEntity} payload
     * @returns {IEffectsAction}
     */
    static buildInactiveValuePlainAction(section: string, payload: IFluxActiveValueEntity): IEffectsAction;
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    static buildDestroyAction(section: string): IEffectsAction;
}
