"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var definition_1 = require("../definition");
var util_1 = require("../util");
var TabPanelActionBuilder = /** @class */ (function () {
    function TabPanelActionBuilder() {
    }
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    TabPanelActionBuilder.buildActiveValueActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TAB_PANEL_ACTIVE_VALUE_ACTION_TYPE;
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    TabPanelActionBuilder.buildInactiveValueActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TAB_PANEL_INACTIVE_VALUE_ACTION_TYPE;
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {string}
     */
    TabPanelActionBuilder.buildDestroyActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TAB_PANEL_DESTROY_ACTION_TYPE;
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    TabPanelActionBuilder.buildDestroyPlainAction = function (section) {
        return { type: this.buildDestroyActionType(section), data: util_1.applySection(section) };
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @param {IFluxActiveValueEntity} payload
     * @returns {IEffectsAction}
     */
    TabPanelActionBuilder.buildActiveValuePlainAction = function (section, payload) {
        return { type: this.buildActiveValueActionType(section), data: util_1.applySection(section, payload) };
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @param {IFluxActiveValueEntity} payload
     * @returns {IEffectsAction}
     */
    TabPanelActionBuilder.buildInactiveValuePlainAction = function (section, payload) {
        return { type: this.buildInactiveValueActionType(section), data: util_1.applySection(section, payload) };
    };
    /**
     * @stable [12.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    TabPanelActionBuilder.buildDestroyAction = function (section) {
        var plainAction = this.buildDestroyPlainAction(section);
        return redux_effects_promise_1.EffectsAction.create(plainAction.type, plainAction.data);
    };
    return TabPanelActionBuilder;
}());
exports.TabPanelActionBuilder = TabPanelActionBuilder;
//# sourceMappingURL=tab-panel-action.builder.js.map