"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../util");
var definition_1 = require("../definition");
var ToolbarToolsActionBuilder = /** @class */ (function () {
    function ToolbarToolsActionBuilder() {
    }
    /**
     * @stable [16.04.2019]
     * @param {string} section
     * @returns {string}
     */
    ToolbarToolsActionBuilder.buildDownloadFileActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_DOWNLOAD_FILE_ACTION_TYPE;
    };
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    ToolbarToolsActionBuilder.buildRefreshActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_REFRESH_ACTION_TYPE;
    };
    /**
     * @stable [11.03.2019]
     * @param {string} section
     * @returns {string}
     */
    ToolbarToolsActionBuilder.buildFilterActionType = function (section) {
        return util_1.toActionPrefix(section) + "." + definition_1.TOOLBAR_TOOLS_FILTER_ACTION_TYPE;
    };
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    ToolbarToolsActionBuilder.buildRefreshPlainAction = function (section) {
        return { type: this.buildRefreshActionType(section) };
    };
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    ToolbarToolsActionBuilder.buildFilterPlainAction = function (section) {
        return { type: this.buildFilterActionType(section) };
    };
    /**
     * @stable [11.04.2020]
     * @param {string} section
     * @returns {IEffectsAction}
     */
    ToolbarToolsActionBuilder.buildDownloadFilePlainAction = function (section) {
        return { type: this.buildDownloadFileActionType(section) };
    };
    return ToolbarToolsActionBuilder;
}());
exports.ToolbarToolsActionBuilder = ToolbarToolsActionBuilder;
//# sourceMappingURL=toolbar-tools-action.builder.js.map