"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_dom_1 = require("react-dom");
var inversify_1 = require("inversify");
var util_1 = require("../../util");
var di_1 = require("../../di");
var application_root_container_ctor_factory_1 = require("../../component/application/application-root-container-ctor.factory");
var application_container_1 = require("../../component/application/application.container");
var ReactBootstrapper = /** @class */ (function () {
    function ReactBootstrapper() {
    }
    /**
     * @stable [17.06.2020]
     * @param {IAsyncLibConfigEntity} cfg
     * @returns {IBootstrapper}
     */
    ReactBootstrapper.prototype.registerAsyncLibrary = function (cfg) {
        this.webBootstrapper.registerAsyncLibrary(cfg);
        return this;
    };
    /**
     * @stable [17.06.2020]
     * @param {() => void} callback
     */
    ReactBootstrapper.prototype.init = function (callback) {
        var _this = this;
        this.webBootstrapper.init(function () {
            var applicationRootContainerCtor = application_root_container_ctor_factory_1.makeApplicationRootContainerCtor(application_container_1.ApplicationContainer);
            react_dom_1.render(new applicationRootContainerCtor({}).render(), // Isomorphic container ctor (React Native)
            _this.domAccessor.rootElement);
            if (util_1.TypeUtils.isFn(callback)) {
                callback();
            }
        });
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.DomAccessor),
        __metadata("design:type", Object)
    ], ReactBootstrapper.prototype, "domAccessor", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.WebBootstrapper),
        __metadata("design:type", Object)
    ], ReactBootstrapper.prototype, "webBootstrapper", void 0);
    ReactBootstrapper = __decorate([
        inversify_1.injectable()
    ], ReactBootstrapper);
    return ReactBootstrapper;
}());
exports.ReactBootstrapper = ReactBootstrapper;
//# sourceMappingURL=react-bootstrapper.service.js.map