import { AnyT } from '../../definitions.interface';
import { GenericPluginCtorT, IEnhancedGenericComponentProps, IGenericPlugin } from '../../definition';
import { GenericComponent } from './generic.component';
export declare class EnhancedGenericComponent<TProps extends IEnhancedGenericComponentProps = IEnhancedGenericComponentProps, TState = {}, TSelfRef = AnyT> extends GenericComponent<TProps, TState, TSelfRef> {
    protected readonly plugins: IGenericPlugin[];
    private $uiPlugins;
    /**
     * @stable [21.04.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [21.04.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [21.04.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [21.04.2020]
     * @param {Readonly<TProps extends IEnhancedGenericComponentProps>} prevProps
     * @param {Readonly<TState>} prevState
     * @param {never} prevContext
     */
    componentDidUpdate(prevProps: Readonly<TProps>, prevState: Readonly<TState>, prevContext?: never): void;
    /**
     * @stable [21.04.2020]
     * @param {Readonly<TProps extends IEnhancedGenericComponentProps>} prevProps
     * @param {Readonly<TState>} prevState
     */
    getSnapshotBeforeUpdate(prevProps: Readonly<TProps>, prevState: Readonly<TState>): void;
    /**
     * @stable [10.04.2020]
     * @param {GenericPluginCtorT | IGenericPlugin} pluginObject
     */
    protected registerPlugin(pluginObject: GenericPluginCtorT | IGenericPlugin): void;
    /**
     * @stable [21.04.2020]
     */
    private initPlugins;
    /**
     * @stable [21.04.2020]
     * @returns {GenericPluginsMapT}
     */
    private readonly uiPlugins;
}
