import * as React from 'react';
import { AnyT } from '../../definitions.interface';
import { IAsyncLibManager, IComponentsSettingsEntity, IDomAccessor, IEnvironment, IEventEmitter, IEventManager, IFieldConverter, IGenericBaseComponentProps, IGenericComponent, IPhoneConverter, IPlaceApi, IStorage, ITransport, IUiFactory, IViewerLocator, TranslatorT } from '../../definition';
import { ISettingsEntity } from '../../settings';
import { IDateConverter, INumberConverter } from '../../converter';
export declare class GenericBaseComponent<TProps extends IGenericBaseComponentProps = IGenericBaseComponentProps, TState = {}, TSelfRef = AnyT> extends React.PureComponent<TProps, TState> implements IGenericComponent<TProps, TState, TSelfRef> {
    readonly selfRef: React.RefObject<TSelfRef>;
    private $asyncLibManager;
    private $databaseStorage;
    private $dc;
    private $domAccessor;
    private $environment;
    private $eventEmitter;
    private $eventManager;
    private $fieldConverter;
    private $nc;
    private $pc;
    private $placeApi;
    private $settings;
    private $t;
    private $transport;
    private $uiFactory;
    private $viewerLocator;
    /**
     * @stable [04.05.2020]
     * @returns {React.RefObject<TSelfRef>}
     */
    readonly actualRef: React.RefObject<TSelfRef>;
    /**
     * @stable [18.03.2020]
     * @returns {ISettingsEntity}
     */
    readonly settings: ISettingsEntity;
    /**
     * @stable [21.05.2020]
     * @returns {TProps}
     */
    protected readonly originalProps: TProps;
    /**
     * @stable [16.06.2020]
     * @returns {React.ReactNode}
     */
    protected readonly originalChildren: React.ReactNode;
    /**
     * @stable [02.06.2020]
     * @returns {TProps}
     */
    protected readonly mergedProps: TProps;
    /**
     * @stable [10.08.2020]
     * @protected
     */
    protected readonly componentsSettingsProps: TProps;
    /**
     * @stable [21.05.2020]
     * @returns {IComponentsSettingsEntity}
     */
    protected readonly componentsSettings: IComponentsSettingsEntity;
    /**
     * @stable [01.06.2020]
     * @returns {IEventEmitter}
     */
    protected readonly eventEmitter: IEventEmitter;
    /**
     * @stable [21.04.2020]
     * @returns {IStorage}
     */
    protected readonly databaseStorage: IStorage;
    /**
     * @stable [18.05.2020]
     * @returns {IAsyncLibManager}
     */
    protected readonly asyncLibManager: IAsyncLibManager;
    /**
     * @stable [21.04.2020]
     * @returns {ITransport}
     */
    protected readonly transport: ITransport;
    /**
     * @stable [30.03.2020]
     * @returns {INumberConverter}
     */
    protected readonly nc: INumberConverter;
    /**
     * @stable [21.04.2020]
     * @returns {IFieldConverter}
     */
    protected readonly fieldConverter: IFieldConverter;
    /**
     * @stable [30.03.2020]
     * @returns {IPhoneConverter}
     */
    protected readonly pc: IPhoneConverter;
    /**
     * @stable [30.03.2020]
     * @returns {IDateConverter}
     */
    protected readonly dc: IDateConverter;
    /**
     * @stable [21.04.2020]
     * @returns {IPlaceApi}
     */
    protected readonly placeApi: IPlaceApi;
    /**
     * @stable [21.04.2020]
     * @returns {IEnvironment}
     */
    protected readonly environment: IEnvironment;
    /**
     * @stable [30.03.2020]
     * @returns {IEventManager}
     */
    protected readonly eventManager: IEventManager;
    /**
     * @stable [18.03.2020]
     * @returns {TranslatorT}
     */
    protected readonly t: TranslatorT;
    /**
     * @stable [19.06.2020]
     * @returns {IUiFactory}
     */
    protected readonly uiFactory: IUiFactory;
    /**
     * @stable [05.04.2020]
     * @returns {IDomAccessor}
     */
    protected readonly domAccessor: IDomAccessor;
    /**
     * @stable [19.06.2020]
     * @returns {IViewerLocator}
     */
    protected readonly viewerLocator: IViewerLocator;
}
