"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var di_1 = require("../../di");
var util_1 = require("../../util");
var GenericBaseComponent = /** @class */ (function (_super) {
    __extends(GenericBaseComponent, _super);
    function GenericBaseComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.selfRef = React.createRef();
        return _this;
    }
    Object.defineProperty(GenericBaseComponent.prototype, "actualRef", {
        /**
         * @stable [04.05.2020]
         * @returns {React.RefObject<TSelfRef>}
         */
        get: function () {
            return this.props.forwardedRef || this.selfRef;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "settings", {
        /**
         * @stable [18.03.2020]
         * @returns {ISettingsEntity}
         */
        get: function () {
            return this.$settings = this.$settings || di_1.getSettings();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "originalProps", {
        /**
         * @stable [21.05.2020]
         * @returns {TProps}
         */
        get: function () {
            return this.props;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "originalChildren", {
        /**
         * @stable [16.06.2020]
         * @returns {React.ReactNode}
         */
        get: function () {
            return this.props.children;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "mergedProps", {
        /**
         * @stable [02.06.2020]
         * @returns {TProps}
         */
        get: function () {
            return util_1.PropsUtils.mergeWithSystemProps(this.originalProps, this.componentsSettingsProps);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "componentsSettingsProps", {
        /**
         * @stable [10.08.2020]
         * @protected
         */
        get: function () {
            return null;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "componentsSettings", {
        /**
         * @stable [21.05.2020]
         * @returns {IComponentsSettingsEntity}
         */
        get: function () {
            return this.settings.components;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "eventEmitter", {
        /**
         * @stable [01.06.2020]
         * @returns {IEventEmitter}
         */
        get: function () {
            return this.$eventEmitter = this.$eventEmitter || di_1.getEventEmitter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "databaseStorage", {
        /**
         * @stable [21.04.2020]
         * @returns {IStorage}
         */
        get: function () {
            return this.$databaseStorage = this.$databaseStorage || di_1.getDatabaseStorage();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "asyncLibManager", {
        /**
         * @stable [18.05.2020]
         * @returns {IAsyncLibManager}
         */
        get: function () {
            return this.$asyncLibManager = this.$asyncLibManager || di_1.getAsyncLibManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "transport", {
        /**
         * @stable [21.04.2020]
         * @returns {ITransport}
         */
        get: function () {
            return this.$transport = this.$transport || di_1.getTransport();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "nc", {
        /**
         * @stable [30.03.2020]
         * @returns {INumberConverter}
         */
        get: function () {
            return this.$nc = this.$nc || di_1.getNumberConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "fieldConverter", {
        /**
         * @stable [21.04.2020]
         * @returns {IFieldConverter}
         */
        get: function () {
            return this.$fieldConverter = this.$fieldConverter || di_1.getFieldConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "pc", {
        /**
         * @stable [30.03.2020]
         * @returns {IPhoneConverter}
         */
        get: function () {
            return this.$pc = this.$pc || di_1.getPhoneConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "dc", {
        /**
         * @stable [30.03.2020]
         * @returns {IDateConverter}
         */
        get: function () {
            return this.$dc = this.$dc || di_1.getDateConverter();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "placeApi", {
        /**
         * @stable [21.04.2020]
         * @returns {IPlaceApi}
         */
        get: function () {
            return this.$placeApi = this.$placeApi || di_1.getPlaceApi();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "environment", {
        /**
         * @stable [21.04.2020]
         * @returns {IEnvironment}
         */
        get: function () {
            return this.$environment = this.$environment || di_1.getEnvironment();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "eventManager", {
        /**
         * @stable [30.03.2020]
         * @returns {IEventManager}
         */
        get: function () {
            return this.$eventManager = this.$eventManager || di_1.getEventManager();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "t", {
        /**
         * @stable [18.03.2020]
         * @returns {TranslatorT}
         */
        get: function () {
            return this.$t = this.$t || di_1.getTranslator();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "uiFactory", {
        /**
         * @stable [19.06.2020]
         * @returns {IUiFactory}
         */
        get: function () {
            return this.$uiFactory = this.$uiFactory || di_1.DiServices.uiFactory();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "domAccessor", {
        /**
         * @stable [05.04.2020]
         * @returns {IDomAccessor}
         */
        get: function () {
            return this.$domAccessor = this.$domAccessor || di_1.getDomAccessor();
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(GenericBaseComponent.prototype, "viewerLocator", {
        /**
         * @stable [19.06.2020]
         * @returns {IViewerLocator}
         */
        get: function () {
            return this.$viewerLocator = this.$viewerLocator || di_1.DiServices.viewerLocator();
        },
        enumerable: true,
        configurable: true
    });
    return GenericBaseComponent;
}(React.PureComponent));
exports.GenericBaseComponent = GenericBaseComponent;
//# sourceMappingURL=generic-base.component.js.map