import { IEffectsAction } from 'redux-effects-promise';
import { AnyT } from '../../definitions.interface';
import { GenericBaseComponent } from './generic-base.component';
import { DynamicRoutesT, IAuth, IDialogFormChangesConfirmStoreProxy, IDictionaryStoreProxy, IFormStoreProxy, IGenericContainer, IGenericContainerProps, IListStoreProxy, INotificationStoreProxy, IOperationEntity, IPermissionsManager, IReduxUserEntity, IRouterStoreProxy, IStoreProxy, ITabPanelStoreProxy, IUserActivityManager } from '../../definition';
export declare class GenericContainer<TProps extends IGenericContainerProps = IGenericContainerProps, TState = {}, TSelfRef = AnyT, TPermission = {}> extends GenericBaseComponent<TProps, TState, TSelfRef> implements IGenericContainer<TProps> {
    private $auth;
    private $dfccStoreProxy;
    private $dictionaryStoreProxy;
    private $dynamicRoutes;
    private $formStoreProxy;
    private $listStoreProxy;
    private $notificationStoreProxy;
    private $permissionsManager;
    private $routerStoreProxy;
    private $storeProxy;
    private $tabPanelStoreProxy;
    private $userActivityManager;
    /**
     * @stable [27.11.2019]
     * @returns {IDialogFormChangesConfirmStoreProxy}
     */
    readonly dfccStoreProxy: IDialogFormChangesConfirmStoreProxy;
    /**
     * @stable [30.11.2019]
     * @returns {IFormStoreProxy}
     */
    readonly formStoreProxy: IFormStoreProxy;
    /**
     * @stable [12.04.2020]
     * @returns {IFormStoreProxy}
     */
    readonly tabPanelStoreProxy: ITabPanelStoreProxy;
    /**
     * @stable [30.03.2020]
     * @returns {IListStoreProxy}
     */
    readonly listStoreProxy: IListStoreProxy;
    /**
     * @stable [18.12.2019]
     * @returns {IRouterStoreProxy}
     */
    readonly routerStoreProxy: IRouterStoreProxy;
    /**
     * @stable [30.03.2020]
     * @returns {INotificationStoreProxy}
     */
    readonly notificationStoreProxy: INotificationStoreProxy;
    /**
     * @stable [29.02.2020]
     * @returns {IDictionaryStoreProxy}
     */
    readonly dictionaryStoreProxy: IDictionaryStoreProxy;
    /**
     * @stable [30.03.2020]
     * @param {string} type
     * @param {TChanges} data
     */
    dispatch<TChanges = {}>(type: string, data?: TChanges): void;
    /**
     * @stable [30.03.2020]
     * @param {IEffectsAction} action
     */
    dispatchPlainAction(action: IEffectsAction): void;
    /**
     * @stable [30.03.2020]
     * @param {string} type
     * @param {TData} data
     */
    dispatchActionByType<TData = {}>(type: string, data?: TData): void;
    /**
     * @stable [23.04.2020]
     * @returns {string}
     */
    protected readonly sectionName: string;
    /**
     * @stable [16.04.2020]
     * @returns {TUser}
     */
    protected getUser<TUser extends IReduxUserEntity>(): TUser;
    /**
     * @stable [30.03.2020]
     * @param {string | IOperationEntity} operations
     * @returns {boolean}
     */
    protected hasTransportWorkingOperations(...operations: Array<string | IOperationEntity>): boolean;
    /**
     * @stable [30.03.2020]
     * @param {TPermission} permission
     * @returns {boolean}
     */
    protected hasPermission(permission: TPermission): boolean;
    /**
     * @stable [30.03.2020]
     * @returns {IStoreProxy}
     */
    protected readonly storeProxy: IStoreProxy;
    /**
     * @stable [30.03.2020]
     * @returns {IPermissionsManager<TPermission>}
     */
    protected readonly permissionsManager: IPermissionsManager<TPermission>;
    /**
     * @stable [30.03.2020]
     * @returns {IUserActivityManager}
     */
    protected readonly userActivityManager: IUserActivityManager;
    /**
     * @stable [12.06.2020]
     * @returns {IAuth}
     */
    protected readonly auth: IAuth;
    /**
     * @stable [12.06.2020]
     * @returns {DynamicRoutesT}
     */
    protected readonly dynamicRoutes: DynamicRoutesT;
}
