import { AnyT } from '../../definitions.interface';
import { GenericPluginCtorT, IGenericPlugin, IRoutesEntity, IUniqueId, IUniversalComponent, IUniversalComponentProps } from '../../definition';
import { GenericBaseComponent } from './generic-base.component';
/**
 * TODO
 * @deprecated
 */
export declare class UniversalComponent<TProps extends IUniversalComponentProps = IUniversalComponentProps, TState = {}, TSelfRef = AnyT> extends GenericBaseComponent<TProps, TState, TSelfRef> implements IUniversalComponent<TProps, TState> {
    protected readonly plugins: IGenericPlugin[];
    /**
     * @stable [02.12.2019]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [22.09.2019]
     */
    componentDidMount(): void;
    /**
     * @stable [22.09.2019]
     */
    componentWillUnmount(): void;
    /**
     * @stable [23.10.2019]
     * @param {Readonly<TProps extends IUniversalComponentProps>} prevProps
     * @param {Readonly<TState>} prevState
     */
    getSnapshotBeforeUpdate(prevProps: Readonly<TProps>, prevState: Readonly<TState>): void;
    /**
     * @stable [23.04.2018]
     * @param {Readonly<TProps>} prevProps
     * @param {Readonly<TState>} prevState
     * @param {never} prevContext
     */
    componentDidUpdate(prevProps: Readonly<TProps>, prevState: Readonly<TState>, prevContext?: never): void;
    /**
     * @stable [01.12.2018]
     * @returns {Element}
     */
    getSelf(): Element;
    /**
     * @react-native-compatible
     * @stable [17.01.2020]
     * @returns {IUniqueId}
     */
    protected readonly uniqueId: IUniqueId;
    /**
     * @stable []
     * @returns {IRoutesEntity}
     */
    protected readonly routes: IRoutesEntity;
    /**
     * @stable [18.06.2019]
     * @param {GenericPluginCtorT | IGenericPlugin} pluginObject
     */
    protected registerPlugin(pluginObject: GenericPluginCtorT | IGenericPlugin): void;
    /**
     * @stable [18.06.2019]
     */
    private initPlugins;
    private readonly uiPlugins;
}
