"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var util_1 = require("../../../util");
var generic_base_component_1 = require("../../base/generic-base.component");
var definition_1 = require("../../../definition");
var Card = /** @class */ (function (_super) {
    __extends(Card, _super);
    /**
     * @stable [08.06.2020]
     * @param {ICardProps} props
     */
    function Card(props) {
        var _this = _super.call(this, props) || this;
        _this.onClick = _this.onClick.bind(_this);
        return _this;
    }
    /**
     * @stable [08.06.2020]
     * @returns {JSX.Element}
     */
    Card.prototype.render = function () {
        var _this = this;
        var mergedProps = this.mergedProps;
        var className = mergedProps.className, onClick = mergedProps.onClick;
        return (React.createElement(definition_1.UniversalScrollableContext.Consumer, null, function (selectedElementClassName) { return (React.createElement("div", __assign({ ref: _this.actualRef, className: util_1.ClsUtils.joinClassName.apply(util_1.ClsUtils, [definition_1.CardClassesEnum.CARD,
                util_1.CalcUtils.calc(className)].concat(util_1.WrapperUtils.isSelected(mergedProps)
                ? [definition_1.CardClassesEnum.CARD_SELECTED, selectedElementClassName]
                : [])) }, util_1.PropsUtils.buildClickHandlerProps(_this.onClick, util_1.TypeUtils.isFn(onClick) && !util_1.WrapperUtils.isDisabled(mergedProps), false)), _this.props.children)); }));
    };
    /**
     * @stable [08.06.2020]
     */
    Card.prototype.onClick = function () {
        var onClick = this.mergedProps.onClick;
        var entity = this.originalProps.entity;
        onClick(entity);
    };
    return Card;
}(generic_base_component_1.GenericBaseComponent));
exports.Card = Card;
//# sourceMappingURL=card.component.js.map