"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var ts_smart_logger_1 = require("ts-smart-logger");
var util_1 = require("../../../util");
var action_1 = require("../../../action");
var di_1 = require("../../../di");
var ConnectorContainerFactory = /** @class */ (function () {
    function ConnectorContainerFactory() {
    }
    ConnectorContainerFactory_1 = ConnectorContainerFactory;
    /**
     * @stable [11.06.2020]
     * @param {IGenericContainerCtor} target
     * @param {string} section
     * @returns {IGenericContainerCtor}
     */
    ConnectorContainerFactory.prototype.fromTarget = function (target, section) {
        var environment = this.environment;
        // tslint:disable:max-classes-per-file
        return /** @class */ (function (_super) {
            __extends(class_1, _super);
            /**
             * @stable [11.06.2020]
             * @param {IGenericContainerProps} props
             */
            function class_1(props) {
                var _this = _super.call(this, props) || this;
                util_1.PatchUtils.patchRenderMethod(_this);
                ConnectorContainerFactory_1.logger.debug("[$ConnectorContainerFactory][constructor] Section: " + section);
                return _this;
            }
            /**
             * @stable [11.06.2020]
             */
            class_1.prototype.componentWillUnmount = function () {
                var store = di_1.DiServices.store();
                store.dispatch(action_1.StackActionBuilder.buildPopPlainAction({ section: section }));
                store.dispatch(action_1.ConnectorActionBuilder.buildDestroyPlainAction(section));
                ConnectorContainerFactory_1.logger.debug("[$ConnectorContainerFactory][componentWillUnmount] Section: " + section);
                if (util_1.TypeUtils.isFn(_super.prototype.componentWillUnmount)) {
                    _super.prototype.componentWillUnmount.call(this);
                }
            };
            /**
             * @stable [11.06.2020]
             */
            class_1.prototype.componentDidMount = function () {
                var store = di_1.DiServices.store();
                store.dispatch(action_1.StackActionBuilder.buildPushPlainAction({ section: section, url: environment.path }));
                store.dispatch(action_1.ConnectorActionBuilder.buildInitPlainAction(section));
                ConnectorContainerFactory_1.logger.debug("[$ConnectorContainerFactory][componentDidMount] Section: " + section);
                if (util_1.TypeUtils.isFn(_super.prototype.componentDidMount)) {
                    _super.prototype.componentDidMount.call(this);
                }
            };
            return class_1;
        }(target));
        // tslint:enable:max-classes-per-file
    };
    var ConnectorContainerFactory_1;
    ConnectorContainerFactory.logger = ts_smart_logger_1.LoggerFactory.makeLogger('ConnectorContainerFactory');
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Environment),
        __metadata("design:type", Object)
    ], ConnectorContainerFactory.prototype, "environment", void 0);
    ConnectorContainerFactory = ConnectorContainerFactory_1 = __decorate([
        inversify_1.injectable()
    ], ConnectorContainerFactory);
    return ConnectorContainerFactory;
}());
exports.ConnectorContainerFactory = ConnectorContainerFactory;
//# sourceMappingURL=connector-container-factory.service.js.map