import * as React from 'react';
import { IActivateDialogConfigEntity, IDialog, IDialogProps, IDialogState } from '../../definition';
import { GenericComponent } from '../base/generic.component';
/**
 * @component-impl
 * @stable [11.05.2020]
 */
export declare class BaseDialog<TProps extends IDialogProps = IDialogProps, TState extends IDialogState = IDialogState> extends GenericComponent<TProps, TState> implements IDialog<TProps, TState> {
    private $closeEventUnsubscriber;
    private $onDeactivateCallback;
    private $isCheckNeededAndAnotherModalDialogOpen;
    private readonly $bodyRef;
    /**
     *  @stable [11.05.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [11.05.2020]
     * @returns {React.ReactNode}
     */
    render(): React.ReactNode;
    /**
     * @stable [11.05.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [11.05.2020]
     */
    componentWillUnmount(): void;
    /**
     * @stable [11.05.2020]
     * @param {IActivateDialogConfigEntity} payload
     */
    activate(payload?: IActivateDialogConfigEntity): void;
    /**
     * @stable [11.05.2020]
     */
    protected onAcceptClick(): void;
    /**
     * @stable [11.05.2020]
     */
    protected onCloseClick(): void;
    /**
     * @stable [11.05.2020]
     * @returns {string}
     */
    protected readonly title: string | boolean;
    /**
     * @stable [11.05.2020]
     * @returns {string}
     */
    protected readonly closeText: string;
    /**
     * @stable [11.05.2020]
     * @returns {string}
     */
    protected readonly acceptText: string;
    /**
     * @stable [11.05.2020]
     */
    private onDialogClick;
    /**
     * @stable [11.05.2020]
     */
    private onDocumentClickCapture;
    /**
     * @stable [11.05.2020]
     */
    private onDestroy;
    /**
     * @stable [11.05.2020]
     */
    private onAfterRender;
    /**
     * @stable [11.05.2020]
     * @param {() => void} callback
     */
    private doClose;
    /**
     * @stable [11.05.2020]
     * @returns {TProps}
     */
    protected readonly componentsSettingsProps: TProps;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly actionsElement;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly dialogBodyElement;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly titleElement;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly extraActionsElement;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly bodyElement;
    /**
     * @stable [11.05.2020]
     */
    private unsubscribeEvents;
    /**
     * @stable [11.05.2020]
     */
    private showOverlayIfApplicable;
    /**
     * @stable [11.05.2020]
     */
    private closeOverlayIfApplicable;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly progressElement;
    /**
     * @stable [11.05.2020]
     * @returns {JSX.Element}
     */
    private readonly closeOverlayActionElement;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly acceptable;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly closable;
    /**
     * @stable [11.05.2020]
     * @returns {Element}
     */
    private readonly portalElement;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isAnchored;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isInline;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isDefault;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isOverlay;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isConfirm;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isModal;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly hasExtraActions;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isScrollable;
    /**
     * @stable [02.08.2020]
     */
    private readonly isDialogInProgress;
    /**
     * @stable [11.05.2020]
     * @returns {GenericPluginCtorT[]}
     */
    private readonly wrapperPlugins;
    /**
     * @stable [11.05.2020]
     * @returns {string}
     */
    private readonly dialogClassName;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isCheckNeededAndAnotherModalDialogOpen;
}
