"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../../util");
var universal_field_component_1 = require("./universal-field.component");
var definition_1 = require("../../../definition");
var Field2 = /** @class */ (function (_super) {
    __extends(Field2, _super);
    function Field2() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardEvent} event
     */
    Field2.prototype.onKeyDown = function (event) {
        var key = event.key;
        switch (key) {
            case 'Tab':
                this.onKeyTab(event);
                break;
            case 'Enter':
                this.onKeyEnter(event);
                break;
            case 'Escape':
                this.onKeyEscape(event);
                break;
            case 'ArrowDown':
                this.onKeyArrowDown(event);
                break;
            case 'ArrowUp':
                this.onKeyArrowUp(event);
                break;
            case 'Backspace':
                this.onKeyBackspace(event);
                break;
        }
        _super.prototype.onKeyDown.call(this, event);
    };
    /**
     * @stable [30.10.2019]
     * @returns {FieldComposedInputAttributesT}
     */
    Field2.prototype.getInputElementProps = function () {
        var _this = this;
        var props = this.props;
        /**/
        var autoComplete = props.autoComplete || 'off'; /* @stable [29.10.2019] */
        var cols = props.cols; /* @stable [28.10.2019] */
        var disabled = this.isDisabled; /* @stable [28.10.2019] */
        var maxLength = props.maxLength; /* @stable [28.10.2019] */
        var minLength = props.minLength; /* @stable [28.10.2019] */
        var name = props.name; /* @stable [28.10.2019] */
        var pattern = this.getFieldPattern(); /* @stable [29.10.2019] */
        var placeholder = util_1.orUndef(props.placeholder && !this.isBusy, function () { return _this.t(props.placeholder); }); /* @stable [29.10.2019] */
        var readOnly = this.isInactive; /* @stable [28.10.2019] */
        var required = this.isRequired; /* @stable [29.10.2019] */
        var rows = props.rows; /* @stable [28.10.2019] */
        var step = props.step; /* @stable [28.10.2019] */
        var tabIndex = props.tabIndex; /* @stable [28.10.2019] */
        var type = props.type || 'text'; /* @stable [28.10.2019] */
        var value = this.displayValue; /* @stable [28.10.2019] */
        var result = util_1.defValuesFilter(__assign({ className: 'rac-field__input rac-flex-x1', autoComplete: autoComplete, cols: cols, disabled: disabled, maxLength: maxLength, minLength: minLength, name: name, pattern: pattern,
            placeholder: placeholder, readOnly: readOnly, rows: rows, step: step, tabIndex: tabIndex, type: type, value: value, required: required }, (this.isActive
            ? {
                onBlur: this.onBlur,
                onChange: this.onChange,
                onClick: this.onClick,
                onFocus: this.onFocus,
                onKeyDown: this.onKeyDown,
                onKeyUp: this.onKeyUp,
            }
            : {})));
        return __assign({}, result, { ref: this.inputRef });
    };
    /**
     * @stable [06.10.2018]
     * @returns {string}
     */
    Field2.prototype.getFieldClassName = function () {
        var props = this.props;
        return util_1.joinClassName(_super.prototype.getFieldClassName.call(this), util_1.isFull(props) && definition_1.ComponentClassesEnum.FLEX_X1, // TODO full-field
        this.isReadOnly && 'rac-field-readonly', this.isFocusPrevented && 'rac-field-prevent-focus');
    };
    return Field2;
}(universal_field_component_1.UniversalField));
exports.Field2 = Field2;
//# sourceMappingURL=field2.component.js.map