import * as React from 'react';
import { ILogger } from 'ts-smart-logger';
import { IGenericField2 } from '../../../entities-definitions.interface';
import { IUniversalFieldProps } from '../../../configurations-definitions.interface';
import { AnyT } from '../../../definitions.interface';
import { IBaseEvent, IFieldState, IFocusEvent, IKeyboardEvent } from '../../../definition';
import { Field } from './field.component';
export declare class UniversalField<TProps extends IUniversalFieldProps, TState extends IFieldState> extends Field<TProps, TState> implements IGenericField2<TProps, TState> {
    protected static logger: ILogger;
    /**
     * @stable [17.06.2018]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyBackspace(event: IKeyboardEvent): void;
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyUp(event: IKeyboardEvent): void;
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyDown(event: IKeyboardEvent): void;
    /**
     * @stable [16.01.2020]
     * @param {IBaseEvent} event
     */
    onKeyEnter(event: IBaseEvent): void;
    /**
     * @stable [04.09.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyTab(event: IKeyboardEvent): void;
    /**
     * @stable [11.01.2020]
     * @param {IBaseEvent} event
     */
    onKeyEscape(event: IBaseEvent): void;
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyArrowDown(event: IKeyboardEvent): void;
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyArrowUp(event: IKeyboardEvent): void;
    /**
     * @stable [29.10.2019]
     * @param {boolean} usePrintf
     * @param {AnyT} args
     * @returns {string}
     */
    protected buildDisplayMessage(usePrintf: boolean, ...args: AnyT[]): string;
    /**
     * @stable [17.06.2018]
     * @returns {string}
     */
    protected getFieldPattern(): string;
    /**
     * @stable [30.10.2019]
     * @param {IFocusEvent} event
     */
    protected onBlur(event: IFocusEvent): void;
    /**
     * @react-native-compatible
     * @stable [28.01.2020]
     * @returns {React.ReactNode}
     */
    protected readonly displayValueElement: React.ReactNode;
    /**
     * @stable [23.12.2019]
     * @react-native-compatible
     * @returns {React.ReactNode}
     */
    protected getWaitMessageElement(): React.ReactNode;
    /**
     * @stable [28.01.2020]
     * @returns {boolean}
     */
    protected readonly isDisplayValueRenderedOnly: boolean;
}
