"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var Printf = require("sprintf-js");
var ts_smart_logger_1 = require("ts-smart-logger");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var field_component_1 = require("./field.component");
var UniversalField = /** @class */ (function (_super) {
    __extends(UniversalField, _super);
    /**
     * @stable [17.06.2018]
     * @param {TProps} props
     */
    function UniversalField(props) {
        var _this = _super.call(this, props) || this;
        _this.onChange = _this.onChange.bind(_this);
        _this.onBlur = _this.onBlur.bind(_this);
        _this.onKeyUp = _this.onKeyUp.bind(_this);
        _this.onKeyDown = _this.onKeyDown.bind(_this);
        return _this;
    }
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyBackspace = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyBackspace)) {
            props.onKeyBackspace(event);
        }
    };
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyUp = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyUp)) {
            props.onKeyUp(event);
        }
    };
    /**
     * @stable [03.09.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyDown = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyDown)) {
            props.onKeyDown(event);
        }
    };
    /**
     * @stable [16.01.2020]
     * @param {IBaseEvent} event
     */
    UniversalField.prototype.onKeyEnter = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyEnter)) {
            props.onKeyEnter(event);
        }
    };
    /**
     * @stable [04.09.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyTab = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyTab)) {
            props.onKeyTab(event);
        }
    };
    /**
     * @stable [11.01.2020]
     * @param {IBaseEvent} event
     */
    UniversalField.prototype.onKeyEscape = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyEscape)) {
            props.onKeyEscape(event);
        }
    };
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyArrowDown = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyArrowDown)) {
            props.onKeyArrowDown(event);
        }
    };
    /**
     * @stable [18.06.2018]
     * @param {IKeyboardEvent} event
     */
    UniversalField.prototype.onKeyArrowUp = function (event) {
        var props = this.props;
        if (util_1.isFn(props.onKeyArrowUp)) {
            props.onKeyArrowUp(event);
        }
    };
    /**
     * @stable [29.10.2019]
     * @param {boolean} usePrintf
     * @param {AnyT} args
     * @returns {string}
     */
    UniversalField.prototype.buildDisplayMessage = function (usePrintf) {
        var args = [];
        for (var _i = 1; _i < arguments.length; _i++) {
            args[_i - 1] = arguments[_i];
        }
        return usePrintf
            ? Printf.sprintf.apply(Printf, [this.t(this.props.displayMessage)].concat(args)) : definition_1.FieldConstants.DISPLAY_EMPTY_VALUE;
    };
    /**
     * @stable [17.06.2018]
     * @returns {string}
     */
    UniversalField.prototype.getFieldPattern = function () {
        return this.props.pattern;
    };
    /**
     * @stable [30.10.2019]
     * @param {IFocusEvent} event
     */
    UniversalField.prototype.onBlur = function (event) {
        this.setState({ focused: false });
        var props = this.props;
        if (util_1.isFn(props.onBlur)) {
            props.onBlur(event);
        }
    };
    Object.defineProperty(UniversalField.prototype, "displayValueElement", {
        /**
         * @react-native-compatible
         * @stable [28.01.2020]
         * @returns {React.ReactNode}
         */
        get: function () {
            if (!this.isDisplayValueRenderedOnly) {
                return null;
            }
            var result = this.decoratedDisplayValue;
            return R.isNil(result)
                ? (this.isBusy ? this.getWaitMessageElement() : result)
                : result;
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @stable [23.12.2019]
     * @react-native-compatible
     * @returns {React.ReactNode}
     */
    UniversalField.prototype.getWaitMessageElement = function () {
        return this.settings.messages.PLEASE_WAIT;
    };
    Object.defineProperty(UniversalField.prototype, "isDisplayValueRenderedOnly", {
        /**
         * @stable [28.01.2020]
         * @returns {boolean}
         */
        get: function () {
            return util_1.isDisplayValueRenderedOnly(this.props);
        },
        enumerable: true,
        configurable: true
    });
    UniversalField.logger = ts_smart_logger_1.LoggerFactory.makeLogger('UniversalField');
    return UniversalField;
}(field_component_1.Field));
exports.UniversalField = UniversalField;
//# sourceMappingURL=universal-field.component.js.map