import { AnyT, EntityIdT } from '../../../definitions.interface';
import { BaseSelect } from '../../field/select/base-select.component';
import { IMultiField } from './multifield.interface';
import { MultiFieldPlugin } from './multifield.plugin';
import { IKeyboardEvent, IMenuProps, IMultiFieldProps, IMultiFieldState, IMultiItemEntity, IPresetsSelectOptionEntity } from '../../../definition';
export declare class MultiField<TProps extends IMultiFieldProps = IMultiFieldProps, TState extends IMultiFieldState = IMultiFieldState> extends BaseSelect<TProps, TState> implements IMultiField {
    /**
     * @stable [01.06.2018]
     */
    static defaultProps: IMultiFieldProps;
    /**
     * @stable [16.06.2020]
     */
    protected readonly multiFieldPlugin: MultiFieldPlugin;
    /**
     * @stable [08.07.2020]
     * @param {TProps} originalProps
     */
    constructor(originalProps: TProps);
    /**
     * @stable [01.06.2018]
     * @param {IKeyboardEvent} event
     */
    onKeyBackspace(event: IKeyboardEvent): void;
    /**
     * @stable [19.11.2018]
     * @param {IMultiItemEntity} item
     */
    addItem(item: IMultiItemEntity): void;
    /**
     * @stable [19.08.2018]
     * @param {IMultiItemEntity} item
     */
    deleteItem(item: IMultiItemEntity): void;
    /**
     * @stable [29.08.2018]
     * @param {IMultiItemEntity} item
     */
    editItem(item: IMultiItemEntity): void;
    /**
     * @stable [29.08.2018]
     * @param {IMultiItemEntity} item
     */
    mergeItem(item: IMultiItemEntity): void;
    /**
     * @stable [01.06.2018]
     * @returns {EntityIdT[]}
     */
    protected readonly originalEmptyValue: EntityIdT[];
    /**
     * @stable [11.08.2018]
     * @param {IPresetsSelectOptionEntity} option
     */
    protected onSelect(option: IPresetsSelectOptionEntity): void;
    /**
     * @stable [01.06.2018]
     * @param {IMultiItemEntity} item
     */
    protected onDelete(item: IMultiItemEntity): void;
    /**
     * @stable [29.08.2018]
     * @param {IMultiItemEntity} item
     */
    protected onEdit(item: IMultiItemEntity): void;
    /**
     * @stable [29.08.2018]
     * @param {IMultiItemEntity} item
     */
    protected onMerge(item: IMultiItemEntity): void;
    /**
     * @stable [08.07.2020]
     * @returns {IMenuProps}
     */
    protected getMenuProps(): IMenuProps;
    /**
     * @stable [16.06.2020]
     * @returns {IPresetsSelectOptionEntity[]}
     */
    protected getFilteredOptions(): IPresetsSelectOptionEntity[];
    /**
     * @stable [16.06.2020]
     * @returns {string}
     */
    protected getFieldClassName(): string;
    /**
     * @stable [14.01.2019]
     * @param {AnyT} value
     * @returns {string}
     */
    protected decorateDisplayValue(value: AnyT): string;
    /**
     * @stable [08.07.2020]
     * @param {IPresetsRawDataLabeledValueEntity} option
     */
    private onMenuInlineOptionClose;
    /**
     * @stable [08.07.2020]
     * @returns {IPresetsRawDataLabeledValueEntity[]}
     */
    private readonly menuInlineOptions;
}
