import { IEntity } from '../../../definitions.interface';
import { ICrossPlatformField } from '../../../entities-definitions.interface';
import { IMultiFieldChangesEntity, IMultiFieldPlugin } from './multifield.interface';
import { IMultiItemEntity, MultiFieldEntityT } from '../../../definition';
export declare class MultiFieldPlugin implements IMultiFieldPlugin {
    private field;
    private readonly fieldConverter;
    /**
     * @stable [28.11.2018]
     * @param {ICrossPlatformField} field
     */
    constructor(field: ICrossPlatformField);
    /**
     * @stable [01.06.2018]
     * @param {IMultiItemEntity} item
     */
    onAddItem(item: IMultiItemEntity): void;
    /**
     * @stable [01.07.2018]
     * @param {IMultiItemEntity} item
     */
    onMergeItem(item: IMultiItemEntity): void;
    /**
     * @stable [01.06.2018]
     * @param {IMultiItemEntity} item
     */
    onEditItem(item: IMultiItemEntity): void;
    /**
     * @stable [01.06.2018]
     * @param {IMultiItemEntity} item
     */
    onDeleteItem(item: IMultiItemEntity): void;
    onAdd(item: IMultiItemEntity): IMultiFieldChangesEntity;
    /**
     * @stable [11.08.2018]
     * @param {IMultiItemEntity} item
     * @returns {IMultiFieldChangesEntity}
     */
    onEdit(item: IMultiItemEntity): IMultiFieldChangesEntity;
    /**
     * @stable [18.08.2018]
     * @param {IMultiItemEntity} item
     * @returns {IMultiFieldChangesEntity}
     */
    onDelete(item: IMultiItemEntity): IMultiFieldChangesEntity;
    /**
     * @stable [23.06.2018]
     * @returns {IMultiItemEntity[]}
     */
    readonly originalValue: IMultiItemEntity[];
    /**
     * @stable [16.05.2020]
     * @returns {IEntity[]}
     */
    readonly activeValue: IEntity[];
    /**
     * @stable [02.06.2018]
     * @param {MultiFieldEntityT} value
     * @returns {number}
     */
    getActiveValueLength(value: MultiFieldEntityT): number;
    /**
     * @stable [04.07.2018]
     * @returns {IMultiItemEntity[]}
     */
    readonly editValue: IMultiItemEntity[];
    /**
     * @stable [04.07.2018]
     * @returns {IEntity[]}
     */
    readonly addValue: IEntity[];
    /**
     * @stable [01.06.2018]
     * @param {MultiFieldEntityT} payload
     */
    private onChangeManually;
    /**
     * @stable [01.06.2018]
     * @param {IMultiFieldChangesEntity} result
     * @returns {MultiFieldEntityT}
     */
    private toChangesPayload;
    /**
     * @stable [23.06.2018]
     * @returns {IMultiItemEntity[]}
     */
    private readonly removeValue;
    /**
     * @stable [28.11.2018]
     * @returns {MultiFieldEntityT}
     */
    private readonly value;
}
