"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var definition_1 = require("../../definition");
var action_1 = require("../../action");
/**
 * @reducer
 * @stable [08.05.2020]
 *
 * @param {IReduxQueryFilterEntity} state
 * @param {IEffectsAction} action
 * @returns {IReduxQueryFilterEntity}
 */
exports.queryFilterReducer = function (state, action) {
    if (state === void 0) { state = definition_1.INITIAL_REDUX_QUERY_FILTER_ENTITY; }
    var section = util_1.toSection(action);
    var actionData = action.data;
    switch (action.type) {
        case action_1.FilterActionBuilder.buildActivateActionType(section):
            return __assign({}, state, { active: true });
        case action_1.FilterActionBuilder.buildChangeActionType(section):
            return __assign({}, state, { query: actionData.query });
        case action_1.FilterActionBuilder.buildDestroyActionType(section):
            return __assign({}, definition_1.INITIAL_REDUX_QUERY_FILTER_ENTITY);
    }
    return state;
};
//# sourceMappingURL=query-filter.reducer.js.map