/// <reference types="react" />
import { IApiEntity, IFormProps } from '../../definition';
import { GenericComponent } from '../base';
export declare class Form extends GenericComponent<IFormProps, {}, HTMLFormElement> {
    static readonly defaultProps: IFormProps;
    private static readonly logger;
    private readonly fieldsPresets;
    /**
     * @stable [30.06.2020]
     * @param {IFormProps} originalProps
     */
    constructor(originalProps: IFormProps);
    /**
     * @stable [30.06.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [30.06.2020]
     */
    componentDidMount(): void;
    /**
     * @stable [30.06.2020]
     */
    submit(): void;
    /**
     * @stable [07.08.2020]
     * @param name
     * @param value
     * @private
     */
    private onChange;
    /**
     * @stable [07.08.2020]
     */
    private throwOnValid;
    /**
     * @stable [30.01.2020]
     */
    private doSubmit;
    /**
     * @stable [12.06.2020]
     * @param {IBaseEvent} event
     */
    private onSubmit;
    /**
     * @stable [12.06.2020]
     * @param {IBaseEvent} event
     */
    private onReset;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isFormValid;
    /**
     * @stable [23.03.2020]
     * @returns {boolean}
     */
    private readonly isFormSubmittable;
    /**
     * @stable [23.03.2020]
     * @returns {boolean}
     */
    private readonly isFormResettable;
    /**
     * @stable [31.07.2020]
     */
    private readonly isFormOfNewEntity;
    /**
     * @stable [11.05.2020]
     * @returns {boolean}
     */
    private readonly isFormBusy;
    /**
     * @stable [25.09.2019]
     * @param {IField} field
     * @returns {boolean}
     */
    private isFieldReadOnly;
    /**
     * @stable [23.03.2020]
     * @param {IField} field
     * @returns {boolean}
     */
    private isFieldDisabled;
    /**
     * @stable [23.03.2020]
     * @param {IField} field
     * @returns {boolean}
     */
    private isFieldChangeable;
    /**
     * @stable [16.11.2019]
     * @param {IField} field
     * @returns {AnyT}
     */
    private getFieldValue;
    /**
     * @stable [11.05.2020]
     * @param {IField} field
     * @returns {AnyT}
     */
    private getFieldOriginalValue;
    /**
     * @stable [11.05.2020]
     * @param {IField} field
     * @param {IFieldProps} defaultProps
     * @returns {AnyT}
     */
    private getFieldDisplayValue;
    /**
     * @stable [03.02.2020]
     * @param {IField} field
     * @returns {IFieldProps}
     */
    private getPredefinedFieldProps;
    /**
     * @stable [13.02.2020]
     * @returns {JSX.Element}
     */
    private readonly formActionsElement;
    /**
     * @stable [03.02.2020]
     * @returns {React.ReactNode[]}
     */
    private readonly formNodes;
    /**
     * @stable [13.02.2020]
     * @returns {IButtonProps[]}
     */
    private readonly actions;
    /**
     * @stable [12.06.2020]
     * @returns {string}
     */
    private readonly className;
    /**
     * @stable [31.07.2020]
     */
    readonly apiEntity: IApiEntity;
    /**
     * @stable [31.07.2020]
     */
    private readonly hasError;
    /**
     * @stable [31.07.2020]
     */
    private readonly form;
}
