"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var generic_base_component_1 = require("../../base/generic-base.component");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var BaseGridColumn = /** @class */ (function (_super) {
    __extends(BaseGridColumn, _super);
    function BaseGridColumn() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    /**
     * @stable [28.07.2020]
     * @param style
     */
    BaseGridColumn.prototype.getStyle = function (style) {
        return util_1.FilterUtils.defValuesFilter({
            width: util_1.NvlUtils.nvl(style && style.width, this.originalProps.width),
        });
    };
    /**
     * @stable [18.10.2019]
     * @param {string} classNames
     * @returns {string}
     */
    BaseGridColumn.prototype.getClassName = function () {
        var classNames = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            classNames[_i] = arguments[_i];
        }
        var originalProps = this.originalProps;
        var align = originalProps.align, index = originalProps.index, indexed = originalProps.indexed;
        return util_1.ClsUtils.joinClassName.apply(util_1.ClsUtils, [definition_1.GridClassesEnum.GRID_COLUMN,
            align && "rac-grid-column-align-" + align,
            indexed && util_1.TypeUtils.isNumber(index) && "rac-grid-column-" + index,
            util_1.isEdited(originalProps) && 'rac-grid-column-edited',
            util_1.NumberUtils.isOddNumber(index) && 'rac-grid-column-odd',
            util_1.isSortable(originalProps) && 'rac-grid-column-sortable'].concat(classNames));
    };
    Object.defineProperty(BaseGridColumn.prototype, "columnContentElement", {
        /**
         * @stable [04.01.2020]
         * @returns {JSX.Element}
         */
        get: function () {
            var _this = this;
            return util_1.ConditionUtils.ifNotNilThanValue(this.originalChildren, function (children) { return (React.createElement("div", __assign({}, _this.getColumnContentProps()), _this.getColumnContentElement(children))); });
        },
        enumerable: true,
        configurable: true
    });
    /**
     * @stable [04.01.2020]
     * @returns {React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>}
     */
    BaseGridColumn.prototype.getColumnContentProps = function () {
        return {
            className: definition_1.GridClassesEnum.GRID_COLUMN_CONTENT,
        };
    };
    /**
     * @stable [04.01.2020]
     * @param {React.ReactNode} children
     * @returns {React.ReactNode}
     */
    BaseGridColumn.prototype.getColumnContentElement = function (children) {
        return children;
    };
    return BaseGridColumn;
}(generic_base_component_1.GenericBaseComponent));
exports.BaseGridColumn = BaseGridColumn;
//# sourceMappingURL=base-grid-column.component.js.map