"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var generic_base_component_1 = require("../../base/generic-base.component");
var util_1 = require("../../../util");
var definition_1 = require("../../../definition");
var GridRow = /** @class */ (function (_super) {
    __extends(GridRow, _super);
    /**
     * @stable [17.08.2020]
     * @param originalProps
     */
    function GridRow(originalProps) {
        var _this = _super.call(this, originalProps) || this;
        _this.onClick = _this.onClick.bind(_this);
        return _this;
    }
    /**
     * @stable [23.10.2019]
     * @returns {JSX.Element}
     */
    GridRow.prototype.render = function () {
        var _this = this;
        var originalProps = this.originalProps;
        var mergedProps = this.mergedProps;
        var className = originalProps.className, entity = originalProps.entity, filter = originalProps.filter, group = originalProps.group, partOfGroup = originalProps.partOfGroup, selected = originalProps.selected;
        var isHovered = util_1.RowUtils.isHovered(mergedProps);
        var isOddHighlighted = util_1.RowUtils.isOddHighlighted(mergedProps);
        var isSelectable = util_1.RowUtils.isSelectable(originalProps);
        var isIndexed = util_1.RowUtils.isIndexed(originalProps);
        return (React.createElement(definition_1.UniversalScrollableContext.Consumer, null, function (selectedElementClassName) { return (React.createElement("tr", __assign({ ref: _this.actualRef, className: util_1.ClsUtils.joinClassName.apply(util_1.ClsUtils, [definition_1.GridClassesEnum.GRID_ROW,
                util_1.CalcUtils.calc(className),
                filter && definition_1.GridClassesEnum.GRID_ROW_FILTER,
                group && definition_1.GridClassesEnum.GRID_ROW_GROUP,
                isHovered && definition_1.GridClassesEnum.GRID_ROW_HOVERED,
                isIndexed && "rac-grid-row-" + entity.id,
                isOddHighlighted && definition_1.GridClassesEnum.GRID_ROW_ODD,
                isSelectable && definition_1.GridClassesEnum.GRID_ROW_SELECTABLE,
                originalProps.groupExpanded && 'rac-grid-row-group-expanded',
                originalProps.total && 'rac-grid-row-total',
                partOfGroup && definition_1.GridClassesEnum.GRID_ROW_PART_OF_GROUP].concat(isSelectable && (selected
                ? [definition_1.GridClassesEnum.GRID_ROW_SELECTED, selectedElementClassName]
                : [definition_1.GridClassesEnum.GRID_ROW_UNSELECTED]))) }, util_1.PropsUtils.buildClickHandlerProps(_this.onClick, isSelectable, false)), _this.originalChildren)); }));
    };
    /**
     * @stable [19.07.2020]
     */
    GridRow.prototype.onClick = function () {
        var _a = this.originalProps, entity = _a.entity, onClick = _a.onClick;
        if (util_1.TypeUtils.isFn(onClick)) {
            onClick(entity);
        }
    };
    Object.defineProperty(GridRow.prototype, "componentsSettingsProps", {
        /**
         * @stable [17.08.2020]
         */
        get: function () {
            return this.componentsSettings.gridRow;
        },
        enumerable: true,
        configurable: true
    });
    GridRow.defaultProps = {
        hovered: true,
    };
    return GridRow;
}(generic_base_component_1.GenericBaseComponent));
exports.GridRow = GridRow;
//# sourceMappingURL=grid-row.component.js.map