/// <reference types="react" />
import { GenericComponent } from '../base/generic.component';
import { IHeaderProps } from '../../definition';
/**
 * @component-impl
 * @stable [22.05.2020]
 *
 * Please use the "Mappers.headerProps"
 */
export declare class Header extends GenericComponent<IHeaderProps> {
    private readonly defaultMenuProps;
    private readonly menuAnchorRef;
    private readonly menuRef;
    /**
     * @stable [21.05.2020]
     * @param {IHeaderProps} props
     */
    constructor(props: IHeaderProps);
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [21.05.2020]
     * @returns {React.ReactNode}
     */
    private readonly headerContentElement;
    /**
     * @stable [21.05.2020]
     * @returns {JSX.Element}
     */
    private readonly menuActionElement;
    /**
     * @stable [21.05.2020]
     * @param {IPresetsMenuItemEntity} menuItem
     */
    private onMenuItemSelect;
    /**
     * @stable [21.05.2020]
     */
    private onMenuActionClick;
    /**
     * @stable [21.05.2020]
     * @returns {HTMLElement}
     */
    private getMenuAnchorElement;
    /**
     * @stable [21.05.2020]
     * @returns {React.ReactNode}
     */
    private readonly contentElement;
    /**
     * @stable [02.06.2020]
     * @returns {IHeaderProps}
     */
    protected readonly componentsSettingsProps: IHeaderProps;
}
