"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../../../util");
var UniversalLayoutViewBuilder = /** @class */ (function () {
    function UniversalLayoutViewBuilder() {
    }
    /**
     * @stable [23.01.2020]
     * @param {UniversalLayoutBuilderChildrenT<TNode>} item
     * @returns {boolean}
     */
    UniversalLayoutViewBuilder.prototype.isClonedItem = function (item) {
        var itemEl = item;
        var type = itemEl.type;
        return util_1.TypeUtils.isFn(type)
            || (util_1.TypeUtils.isString(type) && !R.isEmpty(type)); // type = {'div', 'span', ...}
    };
    /**
     * @stable [23.01.2020]
     * @param {TNode} item
     * @param {IUniversalLayoutBuilderConfigEntity<TNode>} layoutConfig
     * @param {TProps} props
     * @returns {TProps}
     */
    UniversalLayoutViewBuilder.prototype.getClonedItemProps = function (item, layoutConfig, props) {
        return props;
    };
    /**
     * @stable [23.01.2020]
     * @param {TNode} item
     * @param {TProps} props
     * @returns {TNode}
     */
    UniversalLayoutViewBuilder.prototype.cloneItem = function (item, props) {
        return item;
    };
    return UniversalLayoutViewBuilder;
}());
exports.UniversalLayoutViewBuilder = UniversalLayoutViewBuilder;
//# sourceMappingURL=universal-layout-view.builder.js.map