/// <reference types="react" />
import { AnyT, IEntity, IKeyValue } from '../../definitions.interface';
import { UniversalComponent } from '../base/universal.component';
import { IListRowsConfigEntity } from '../../definition';
export declare abstract class BaseList<TProps extends IKeyValue, // TODO Props
TState extends any = any, TSelfRef = AnyT> extends UniversalComponent<TProps, TState, TSelfRef> {
    /**
     * @stable [16.07.2020]
     * @param {TProps} props
     */
    constructor(props: TProps);
    /**
     * @stable [21.06.2018]
     * @returns {JSX.Element}
     */
    render(): JSX.Element;
    /**
     * @stable [16.07.2020]
     * @param {IListRowsConfigEntity} cfg
     * @returns {JSX.Element}
     */
    protected getPageToolbarElement(cfg: IListRowsConfigEntity): JSX.Element;
    protected getMessage(): JSX.Element;
    /**
     * @stable [23.04.2018]
     * @returns {JSX.Element}
     */
    protected abstract getView(): JSX.Element;
    /**
     * @stable [10.06.2020]
     * @param {IEntity} entity
     * @returns {boolean}
     */
    protected isEntitySelected(entity: IEntity): boolean;
    /**
     * @stable [04.05.2020]
     * @param {IEntity} entity
     * @returns {string}
     */
    protected toRowKey(entity: IEntity): string;
    /**
     * @stable [04.05.2020]
     * @returns {IEntity[]}
     */
    protected readonly originalDataSource: IEntity[];
    /**
     * @stable [17.06.2018]
     * @returns {IEntity[]}
     */
    protected readonly dataSource: IEntity[];
    /**
     * @stable [06.06.2018]
     * @returns {IEntity[]}
     */
    protected filterAndSortOriginalDataSourceUsingLocalFiltersAndSorters(): IEntity[];
    /**
     * @stable [16.07.2020]
     */
    private onLocalPagingNext;
    /**
     * @stable [16.07.2020]
     */
    private onLocalPagingPrevious;
    /**
     * @stable [16.07.2020]
     */
    private onLocalPagingFirst;
    /**
     * @stable [16.07.2020]
     */
    private fireRefreshEvent;
    /**
     * @stable [18.10.2018]
     * @returns {boolean}
     */
    protected readonly isRemoteMode: boolean;
    /**
     * @stable [17.06.2018]
     * @returns {boolean}
     */
    protected readonly areDataMissing: boolean;
    /**
     * @stable [17.06.2018]
     * @returns {boolean}
     */
    private readonly originalDataSourceDoesNotExist;
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private readonly fromNumber;
    /**
     * @stable [10.06.2020]
     * @returns {number}
     */
    private readonly toNumber;
}
