"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var snackbar_1 = require("@material/snackbar");
var util_1 = require("../../../util");
var material_plugin_1 = require("./material.plugin");
var SnackbarMaterialPlugin = /** @class */ (function (_super) {
    __extends(SnackbarMaterialPlugin, _super);
    /**
     * @stable [22.08.2018]
     * @param {Snackbar} tabPanel
     */
    function SnackbarMaterialPlugin(tabPanel) {
        var _this = _super.call(this, tabPanel, snackbar_1.MDCSnackbar) || this;
        _this.task = new util_1.DelayedTask(_this.refresh.bind(_this), SnackbarMaterialPlugin.DEFAULT_DELAY_BEFORE_SHOW);
        return _this;
    }
    /**
     * @stable [22.08.2018]
     */
    SnackbarMaterialPlugin.prototype.componentDidUpdate = function () {
        this.task.start();
    };
    /**
     * @stable [22.08.2018]
     */
    SnackbarMaterialPlugin.prototype.componentWillUnmount = function () {
        this.task.stop();
        _super.prototype.componentWillUnmount.call(this);
    };
    /**
     * @stable [22.08.2018]
     */
    SnackbarMaterialPlugin.prototype.componentDidMount = function () {
        _super.prototype.componentDidMount.call(this);
        this.task.start();
    };
    /**
     * @stable [22.08.2018]
     * @param {ISnackbarConfiguration} options
     */
    SnackbarMaterialPlugin.prototype.show = function (options) {
        var props = this.component.props;
        if (props.error) {
            this.adapter.addClass('rac-snackbar-error');
        }
        else {
            this.adapter.removeClass('rac-snackbar-error');
        }
        this.mdc.show(__assign({ timeout: props.timeout, actionText: this.t(props.submitText), actionHandler: props.actionHandler }, options));
    };
    /**
     * @stable [22.08.2018]
     */
    SnackbarMaterialPlugin.prototype.refresh = function () {
        var props = this.component.props;
        var message = props.message;
        if (!R.isNil(message)) {
            this.show({ message: message });
            if (props.afterShow) {
                props.afterShow(); // Flux lifecycle: destroy a message state
            }
        }
    };
    SnackbarMaterialPlugin.DEFAULT_DELAY_BEFORE_SHOW = 100;
    return SnackbarMaterialPlugin;
}(material_plugin_1.MaterialPlugin));
exports.SnackbarMaterialPlugin = SnackbarMaterialPlugin;
//# sourceMappingURL=snackbar-material.plugin.js.map