"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var ts_smart_logger_1 = require("ts-smart-logger");
var appauth_1 = require("@openid/appauth");
var di_1 = require("../../../di");
var definition_1 = require("../../../definition");
var action_1 = require("../../../action");
var application_action_builder_1 = require("../../application/application-action.builder"); // TODO Move
var OAuthOpenIdSignInEffects = /** @class */ (function () {
    function OAuthOpenIdSignInEffects() {
    }
    OAuthOpenIdSignInEffects_1 = OAuthOpenIdSignInEffects;
    /**
     * @stable [15.03.2020]
     * @returns {IEffectsAction}
     */
    OAuthOpenIdSignInEffects.prototype.$onConnectorInit = function () {
        return action_1.RouterActionBuilder.buildRewriteAction(this.settings.routes.logout);
    };
    /**
     * @stable [15.03.2020]
     * @returns {Promise<void>}
     */
    OAuthOpenIdSignInEffects.prototype.$onAfterLogout = function () {
        return __awaiter(this, void 0, void 0, function () {
            var entryPointUrl, configuration, oauthSettings, authorizationRequest, authorizationHandler;
            return __generator(this, function (_a) {
                switch (_a.label) {
                    case 0:
                        entryPointUrl = 'TODO';
                        return [4 /*yield*/, appauth_1.AuthorizationServiceConfiguration.fetchFromIssuer(entryPointUrl)];
                    case 1:
                        configuration = _a.sent();
                        OAuthOpenIdSignInEffects_1.logger.debug(function () {
                            return '[$OAuthOpenIdSignInEffects][$onAfterLogout] The configuration has been loaded successfully:';
                        }, configuration);
                        oauthSettings = this.settings.oauth;
                        authorizationRequest = new appauth_1.AuthorizationRequest({
                            client_id: oauthSettings.clientId,
                            redirect_uri: this.environment.getSectionFullPath(this.settings.routes.oauthCallback),
                            scope: oauthSettings.scope,
                            response_type: appauth_1.AuthorizationRequest.RESPONSE_TYPE_CODE,
                        });
                        authorizationHandler = new appauth_1.RedirectRequestHandler(new appauth_1.LocalStorageBackend(this.notVersionedSessionStorage.storage));
                        authorizationHandler.performAuthorizationRequest(configuration, authorizationRequest);
                        return [2 /*return*/];
                }
            });
        });
    };
    var OAuthOpenIdSignInEffects_1;
    OAuthOpenIdSignInEffects.logger = ts_smart_logger_1.LoggerFactory.makeLogger('OAuthOpenIdSignInEffects');
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Environment),
        __metadata("design:type", Object)
    ], OAuthOpenIdSignInEffects.prototype, "environment", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.NotVersionedSessionStorage),
        __metadata("design:type", Object)
    ], OAuthOpenIdSignInEffects.prototype, "notVersionedSessionStorage", void 0);
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.Settings),
        __metadata("design:type", Object)
    ], OAuthOpenIdSignInEffects.prototype, "settings", void 0);
    __decorate([
        redux_effects_promise_1.EffectsService.effects(action_1.ConnectorActionBuilder.buildInitActionType(definition_1.OAUTH_SIGN_IN_SECTION)),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Object)
    ], OAuthOpenIdSignInEffects.prototype, "$onConnectorInit", null);
    __decorate([
        redux_effects_promise_1.EffectsService.effects(application_action_builder_1.ApplicationActionBuilder.buildAfterLogoutActionType(), true),
        __metadata("design:type", Function),
        __metadata("design:paramtypes", []),
        __metadata("design:returntype", Promise)
    ], OAuthOpenIdSignInEffects.prototype, "$onAfterLogout", null);
    OAuthOpenIdSignInEffects = OAuthOpenIdSignInEffects_1 = __decorate([
        di_1.provideInSingleton(OAuthOpenIdSignInEffects_1)
    ], OAuthOpenIdSignInEffects);
    return OAuthOpenIdSignInEffects;
}());
exports.OAuthOpenIdSignInEffects = OAuthOpenIdSignInEffects;
//# sourceMappingURL=oauth-openid-sign-in.effects.js.map