"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var di_1 = require("../../di");
var AutoScrollTopPlugin = /** @class */ (function () {
    /**
     * @stable [21.04.2020]
     * @param {IGenericComponent<IGenericComponentProps, {}, HTMLElement>} component
     */
    function AutoScrollTopPlugin(component) {
        this.component = component;
    }
    /**
     * @stable [27.10.2018]
     */
    AutoScrollTopPlugin.prototype.componentDidUpdate = function () {
        this.updateScrollTop();
    };
    /**
     * @stable [27.10.2018]
     */
    AutoScrollTopPlugin.prototype.componentDidMount = function () {
        this.updateScrollTop();
    };
    /**
     * @stable [21.04.2020]
     */
    AutoScrollTopPlugin.prototype.updateScrollTop = function () {
        var self = this.component.selfRef.current;
        var contentHeight = this.domAccessor.getContentHeight(self);
        if (this.contentHeight !== contentHeight) {
            this.domAccessor.setScrollTop(self, this.contentHeight = contentHeight);
        }
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.DomAccessor),
        __metadata("design:type", Object)
    ], AutoScrollTopPlugin.prototype, "domAccessor", void 0);
    return AutoScrollTopPlugin;
}());
exports.AutoScrollTopPlugin = AutoScrollTopPlugin;
//# sourceMappingURL=auto-scroll-top.plugin.js.map