import * as React from 'react';
import { StoreProxy } from '../store.proxy';
import { IDialog, IDialogFormChangesConfirmStoreProxy, IGenericContainer, IGenericContainerProps, IReduxStoreEntity, IRouterStoreProxyFactoryConfigEntity } from '../../../../definition';
export declare class DialogFormChangesConfirmStoreProxy<TStore extends IReduxStoreEntity = IReduxStoreEntity, TProps extends IGenericContainerProps = IGenericContainerProps> extends StoreProxy<TStore, TProps> implements IDialogFormChangesConfirmStoreProxy {
    readonly container: IGenericContainer<TProps>;
    private readonly routerStoreProxyFactory;
    private readonly dialogRef;
    private readonly routerStoreProxy;
    private readonly originalGoBackFn;
    private $cachedDepth;
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    constructor(container: IGenericContainer<TProps>);
    /**
     * @stable [20.12.2019]
     * @param {(cfg: IRouterStoreProxyFactoryConfigEntity) => JSX.Element} factory
     * @returns {React.ReactNode[]}
     */
    buildNavigationSteps(factory: (cfg: IRouterStoreProxyFactoryConfigEntity) => JSX.Element): React.ReactNode[];
    /**
     * @stable [03.10.2019]
     */
    activateDialog(): void;
    /**
     * @stable [18.12.2019]
     */
    goBack(): void;
    /**
     * @stable [03.10.2019]
     * @returns {React.RefObject<T extends IDialog>}
     */
    getDialogRef<T extends IDialog>(): React.RefObject<T>;
    /**
     * @stable [23.12.2019]
     * @param {number} depth
     */
    private interceptGoBack;
}
