"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var store_proxy_1 = require("../store.proxy");
var di_1 = require("../../../../di");
var definitions_interface_1 = require("../../../../definitions.interface");
var DialogFormChangesConfirmStoreProxy = /** @class */ (function (_super) {
    __extends(DialogFormChangesConfirmStoreProxy, _super);
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    function DialogFormChangesConfirmStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.dialogRef = React.createRef();
        _this.goBack = _this.goBack.bind(_this);
        _this.activateDialog = _this.activateDialog.bind(_this);
        _this.routerStoreProxy = _this.routerStoreProxyFactory(container);
        _this.originalGoBackFn = _this.routerStoreProxy.goBack;
        _this.routerStoreProxy.goBack = _this.interceptGoBack.bind(_this); // Need to intercept a click event
        return _this;
    }
    /**
     * @stable [20.12.2019]
     * @param {(cfg: IRouterStoreProxyFactoryConfigEntity) => JSX.Element} factory
     * @returns {React.ReactNode[]}
     */
    DialogFormChangesConfirmStoreProxy.prototype.buildNavigationSteps = function (factory) {
        return this.routerStoreProxy.buildNavigationSteps(factory);
    };
    /**
     * @stable [03.10.2019]
     */
    DialogFormChangesConfirmStoreProxy.prototype.activateDialog = function () {
        this.dialogRef.current.activate();
    };
    /**
     * @stable [18.12.2019]
     */
    DialogFormChangesConfirmStoreProxy.prototype.goBack = function () {
        this.originalGoBackFn.call(this.routerStoreProxy, this.$cachedDepth);
        this.$cachedDepth = definitions_interface_1.UNDEF;
    };
    /**
     * @stable [03.10.2019]
     * @returns {React.RefObject<T extends IDialog>}
     */
    DialogFormChangesConfirmStoreProxy.prototype.getDialogRef = function () {
        return this.dialogRef;
    };
    /**
     * @stable [23.12.2019]
     * @param {number} depth
     */
    DialogFormChangesConfirmStoreProxy.prototype.interceptGoBack = function (depth) {
        this.$cachedDepth = depth;
        this.activateDialog();
    };
    __decorate([
        di_1.lazyInject(di_1.DI_TYPES.RouterStoreProxyFactory),
        __metadata("design:type", Function)
    ], DialogFormChangesConfirmStoreProxy.prototype, "routerStoreProxyFactory", void 0);
    return DialogFormChangesConfirmStoreProxy;
}(store_proxy_1.StoreProxy));
exports.DialogFormChangesConfirmStoreProxy = DialogFormChangesConfirmStoreProxy;
//# sourceMappingURL=dialog-form-changes-confirm-store.proxy.js.map