"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var action_builder_1 = require("../../../action.builder");
var store_proxy_1 = require("../store.proxy");
var ListStoreProxy = /** @class */ (function (_super) {
    __extends(ListStoreProxy, _super);
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    function ListStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.dispatchListCancelLoad = _this.dispatchListCancelLoad.bind(_this);
        _this.dispatchListCreate = _this.dispatchListCreate.bind(_this);
        _this.dispatchListCreate = _this.dispatchListCreate.bind(_this);
        return _this;
    }
    /**
     * @stable [30.03.2020]
     * @param {string} otherSection
     */
    ListStoreProxy.prototype.dispatchListCancelLoad = function (otherSection) {
        this.dispatchPlainAction(action_builder_1.ListActionBuilder.buildCancelLoadPlainAction(this.asSection(otherSection)));
    };
    /**
     * @stable [30.03.2020]
     * @param {TEntity} selected
     * @param {string} otherSection
     */
    ListStoreProxy.prototype.dispatchListSelect = function (selected, otherSection) {
        this.dispatchPlainAction(action_builder_1.ListActionBuilder.buildSelectPlainAction(this.asSection(otherSection), { selected: selected }));
    };
    /**
     * @stable [30.03.2020]
     * @param {string} otherSection
     */
    ListStoreProxy.prototype.dispatchListCreate = function (otherSection) {
        this.dispatchPlainAction(action_builder_1.ListActionBuilder.buildCreatePlainAction(this.asSection(otherSection)));
    };
    return ListStoreProxy;
}(store_proxy_1.StoreProxy));
exports.ListStoreProxy = ListStoreProxy;
//# sourceMappingURL=list-store.proxy.js.map