"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var action_1 = require("../../../../action");
var store_proxy_1 = require("../store.proxy");
var TabPanelStoreProxy = /** @class */ (function (_super) {
    __extends(TabPanelStoreProxy, _super);
    /**
     * @stable [30.03.2020]
     * @param {IGenericContainer<TProps extends IGenericContainerProps>} container
     */
    function TabPanelStoreProxy(container) {
        var _this = _super.call(this, container) || this;
        _this.container = container;
        _this.dispatchTabPanelActiveValue = _this.dispatchTabPanelActiveValue.bind(_this);
        _this.dispatchTabPanelInactiveValue = _this.dispatchTabPanelInactiveValue.bind(_this);
        _this.dispatchTabPanelDestroy = _this.dispatchTabPanelDestroy.bind(_this);
        return _this;
    }
    /**
     * @stable [12.04.2020]
     * @param {number} payload
     * @param {string} otherSection
     */
    TabPanelStoreProxy.prototype.dispatchTabPanelActiveValue = function (payload, otherSection) {
        this.dispatchPlainAction(action_1.TabPanelActionBuilder.buildActiveValuePlainAction(this.asSection(otherSection), { payload: payload }));
    };
    /**
     * @stable [12.04.2020]
     * @param {number} payload
     * @param {string} otherSection
     */
    TabPanelStoreProxy.prototype.dispatchTabPanelInactiveValue = function (payload, otherSection) {
        this.dispatchPlainAction(action_1.TabPanelActionBuilder.buildInactiveValuePlainAction(this.asSection(otherSection), { payload: payload }));
    };
    /**
     * @stable [12.04.2020]
     * @param {string} otherSection
     */
    TabPanelStoreProxy.prototype.dispatchTabPanelDestroy = function (otherSection) {
        this.dispatchPlainAction(action_1.TabPanelActionBuilder.buildDestroyPlainAction(this.asSection(otherSection)));
    };
    return TabPanelStoreProxy;
}(store_proxy_1.StoreProxy));
exports.TabPanelStoreProxy = TabPanelStoreProxy;
//# sourceMappingURL=tab-panel-store.proxy.js.map