"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
var inversify_1 = require("inversify");
var ViewerLocator = /** @class */ (function () {
    function ViewerLocator() {
        this.viewers = {};
    }
    /**
     * @stable [19.06.2020]
     * @param {ViewersEnum} name
     * @param {IViewerCtor} ctor
     */
    ViewerLocator.prototype.register = function (name, ctor) {
        this.viewers[name] = ctor;
    };
    /**
     * @stable [19.06.2020]
     * @returns {IViewerCtor}
     */
    ViewerLocator.prototype.resolve = function (name) {
        return this.viewers[name];
    };
    ViewerLocator = __decorate([
        inversify_1.injectable()
    ], ViewerLocator);
    return ViewerLocator;
}());
exports.ViewerLocator = ViewerLocator;
//# sourceMappingURL=viewer-locator.service.js.map