"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var definitions_interface_1 = require("../definitions.interface");
/**
 * @stable [16.05.2020]
 */
var FieldConstants = /** @class */ (function () {
    function FieldConstants() {
    }
    FieldConstants.DISPLAY_EMPTY_VALUE = ''; /* @stable [16.05.2020] */
    FieldConstants.ENTITY_ID_FIELD_NAME = 'entityId'; /* @stable [16.05.2020] */
    FieldConstants.ID_FIELD_NAME = 'id'; /* @stable [16.05.2020] */
    FieldConstants.VALUE_TO_CLEAR_DIRTY_CHANGES = definitions_interface_1.UNDEF; /* @stable [16.05.2020] */
    FieldConstants.VALUE_TO_RESET = null; /* @stable [16.05.2020] */
    return FieldConstants;
}());
exports.FieldConstants = FieldConstants;
/**
 * @stable [30.10.2019]
 */
var FieldActionTypesEnum;
(function (FieldActionTypesEnum) {
    FieldActionTypesEnum["ATTACH_FILE"] = "paperclip";
    FieldActionTypesEnum["CALENDAR"] = "calendar-alt-regular";
    FieldActionTypesEnum["CLOSE"] = "times";
    FieldActionTypesEnum["DOWNLOAD"] = "file-download";
    FieldActionTypesEnum["DROP_DOWN"] = "chevron-down";
    FieldActionTypesEnum["VIDEO"] = "video";
})(FieldActionTypesEnum = exports.FieldActionTypesEnum || (exports.FieldActionTypesEnum = {}));
/**
 * @enum
 * @stable [17.06.2020]
 */
var FieldActionPositionsEnum;
(function (FieldActionPositionsEnum) {
    FieldActionPositionsEnum[FieldActionPositionsEnum["LEFT"] = 0] = "LEFT";
    FieldActionPositionsEnum[FieldActionPositionsEnum["RIGHT"] = 1] = "RIGHT";
})(FieldActionPositionsEnum = exports.FieldActionPositionsEnum || (exports.FieldActionPositionsEnum = {}));
/**
 * @default-entity
 * @stable [24.11.2019]
 */
exports.DEFAULT_NO_AUTO_COMPLETE_FIELD_ENTITY = Object.freeze({
    autoComplete: 'new-password',
});
/**
 * @default-entity
 * @stable [24.11.2019]
 */
exports.DEFAULT_PASSWORD_FIELD_ENTITY = Object.freeze(__assign({}, exports.DEFAULT_NO_AUTO_COMPLETE_FIELD_ENTITY, { type: 'password' }));
/**
 * @default-entity
 * @stable [01.06.2020]
 */
exports.DEFAULT_NOT_CHANGEABLE_FIELD_ENTITY = Object.freeze({
    changeable: false,
    readOnly: true,
});
/**
 * @classes
 * @stable [26.03.2020]
 */
var FieldClassesEnum;
(function (FieldClassesEnum) {
    FieldClassesEnum["FIELD"] = "rac-field";
    FieldClassesEnum["FIELD_ATTACHMENT"] = "rac-field__attachment";
    FieldClassesEnum["FIELD_BUSY"] = "rac-field-busy";
    FieldClassesEnum["FIELD_CHANGEABLE"] = "rac-field-changeable";
    FieldClassesEnum["FIELD_DISABLED"] = "rac-field-disabled";
    FieldClassesEnum["FIELD_ERROR_MESSAGE"] = "rac-field__error-message";
    FieldClassesEnum["FIELD_FOCUSED"] = "rac-field-focused";
    FieldClassesEnum["FIELD_INPUT_CARET"] = "rac-field__input-caret";
    FieldClassesEnum["FIELD_INPUT_LABEL"] = "rac-field__input-label";
    FieldClassesEnum["FIELD_INPUT_MIRROR"] = "rac-field__input-mirror";
    FieldClassesEnum["FIELD_INPUT_WRAPPER"] = "rac-field__input-wrapper";
    FieldClassesEnum["FIELD_INVALID"] = "rac-field-invalid";
    FieldClassesEnum["FIELD_LABEL"] = "rac-field__label";
    FieldClassesEnum["FIELD_LABELED"] = "rac-field-labeled";
    FieldClassesEnum["FIELD_MESSAGE"] = "rac-field__message";
    FieldClassesEnum["FIELD_NOT_CHANGEABLE"] = "rac-field-not-changeable";
    FieldClassesEnum["FIELD_NOT_FOCUSED"] = "rac-field-not-focused";
    FieldClassesEnum["FIELD_PREFIX_LABEL"] = "rac-field__prefix-label";
    FieldClassesEnum["FIELD_REQUIRED"] = "rac-field-required";
    FieldClassesEnum["FIELD_SELF"] = "rac-field__self";
    FieldClassesEnum["FIELD_VALUE_NOT_PRESENT"] = "rac-field-value-not-present";
    FieldClassesEnum["FIELD_VALUE_PRESENT"] = "rac-field-value-present";
})(FieldClassesEnum = exports.FieldClassesEnum || (exports.FieldClassesEnum = {}));
//# sourceMappingURL=field-definition.interface.js.map