"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * @stable [16.05.2020]
 */
var RegexpEnum;
(function (RegexpEnum) {
    RegexpEnum["NUMBER"] = "[-+]?[0-9]*[.,]?[0-9]+";
    RegexpEnum["POSITIVE_INTEGER"] = "^\\d+$";
    RegexpEnum["POSITIVE_OR_NEGATIVE_NUMBER"] = "^-?\\d*\\.?\\d+$";
    RegexpEnum["POSITIVE_OR_NEGATIVE_PRICE"] = "^[-+]?\\d+(\\.\\d{1,4})?$";
    RegexpEnum["PRICE"] = "^\\d+(\\.\\d{1,4})?$";
})(RegexpEnum = exports.RegexpEnum || (exports.RegexpEnum = {}));
/**
 * @stable [16.05.2020]
 */
var RegexpConstants = /** @class */ (function () {
    function RegexpConstants() {
    }
    RegexpConstants.NUMBER = new RegExp(RegexpEnum.NUMBER);
    RegexpConstants.POSITIVE_INTEGER = new RegExp(RegexpEnum.POSITIVE_INTEGER);
    RegexpConstants.POSITIVE_NEGATIVE_PRICE = new RegExp(RegexpEnum.POSITIVE_OR_NEGATIVE_PRICE);
    RegexpConstants.POSITIVE_OR_NEGATIVE_NUMBER = new RegExp(RegexpEnum.POSITIVE_OR_NEGATIVE_NUMBER);
    RegexpConstants.PRICE = new RegExp(RegexpEnum.PRICE);
    return RegexpConstants;
}());
exports.RegexpConstants = RegexpConstants;
//# sourceMappingURL=regexp-definition.interface.js.map