import { Store } from 'redux';
import { INumberConverter, IDateConverter } from '../converter';
import { ISettingsEntity } from '../settings';
import { DialogFormChangesConfirmStoreProxyFactoryT, DictionaryStoreProxyFactoryT, FormStoreProxyFactoryT, GenericPluginFactoryT, IAsyncLibManager, IAuth, IBootstrapper, IConnectorContainerFactory, IConnectorEntity, IDomAccessor, IEnvironment, IEventEmitter, IEventManager, IFieldConverter, IGenericComponentCtor, ILogManager, IModifyEntityPayloadFactory, IPermissionsManager, IPhoneConverter, IPlaceApi, IRoutesEntity, IStateSerializer, IStorage, IStoreEntity, ITransport, IUiFactory, IUserActivityManager, IViewerLocator, ListStoreProxyFactoryT, NotificationStoreProxyFactoryT, RouterStoreProxyFactoryT, StoreProxyFactoryT, TabPanelStoreProxyFactoryT, TranslatorT } from '../definition';
/**
 * @stable [31.10.2018]
 * @returns {INumberConverter}
 */
export declare const getNumberConverter: () => INumberConverter;
/**
 * @stable [19.02.2020]
 * @returns {IDomAccessor}
 */
export declare const getDomAccessor: () => IDomAccessor;
/**
 * @stable [24.12.2019]
 * @returns {IPhoneConverter}
 */
export declare const getPhoneConverter: () => IPhoneConverter<{}>;
/**
 * @stable [16.11.2019]
 * @returns {IPermissionsManager<TAccessConfig>}
 */
export declare const getPermissionsManager: <TPermission = {}>() => IPermissionsManager<TPermission, {}>;
/**
 * @stable [16.11.2019]
 * @returns {DynamicRoutesT}
 */
export declare const getDynamicRoutes: () => Map<import("../definition").IGenericContainerCtor<import("../definition").IGenericContainerProps<{}, any>, {}>, IConnectorEntity<{}, {}>>;
/**
 * @stable [17.11.2019]
 * @returns {DynamicSectionsMapT}
 */
export declare const getDynamicSections: () => Map<string, IConnectorEntity<{}, {}>>;
/**
 * @stable [16.11.2019]
 * @returns {IAuth}
 */
export declare const getAuth: () => IAuth;
/**
 * @stable [07.10.2019]
 * @returns {IDateConverter}
 */
export declare const getDateConverter: () => IDateConverter<Date>;
/**
 * @stable [03.04.2020]
 * @returns {IStorage}
 */
export declare const getMultiEntityDatabaseStorage: () => IStorage<Storage>;
/**
 * @stable [21.04.2020]
 * @returns {GenericPluginsMapT}
 */
export declare const getUiPlugins: () => Map<IGenericComponentCtor<import("../definition").IGenericComponentProps, {}>, GenericPluginFactoryT[]>;
/**
 * @stable [15.11.2018]
 * @returns {TranslatorT}
 */
export declare const getTranslator: () => TranslatorT;
/**
 * @stable [29.07.2019]
 * @returns {ISettingsEntity}
 */
export declare const getSettings: () => ISettingsEntity;
/**
 * @stable [06.02.2020]
 * @returns {IRoutesEntity}
 */
export declare const getRoutes: () => IRoutesEntity;
/**
 * @stable [29.07.2019]
 * @returns {IStorage}
 */
export declare const getDatabaseStorage: () => IStorage<Storage>;
/**
 * @stable [11.09.2019]
 * @returns {Store<TState>}
 */
export declare const getStore: <TState>() => Store<TState>;
/**
 * @stable [15.09.2019]
 * @returns {ITransport}
 */
export declare const getTransport: () => ITransport;
/**
 * @stable [20.09.2019]
 * @returns {IEnvironment}
 */
export declare const getEnvironment: () => IEnvironment;
/**
 * @stable [17.01.2020]
 * @returns {IEventEmitter}
 */
export declare const getEventEmitter: () => IEventEmitter;
/**
 * @stable [24.09.2019]
 * @returns {IStorage}
 */
export declare const getStorage: () => IStorage<Storage>;
/**
 * @stable [24.09.2019]
 * @returns {ILogManager}
 */
export declare const getLogManager: () => ILogManager;
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
export declare const getEventManager: () => IEventManager;
/**
 * @stable [09.01.2020]
 * @returns {IAsyncLibManager}
 */
export declare const getAsyncLibManager: () => IAsyncLibManager;
/**
 * @stable [09.01.2020]
 * @returns {IPlaceApi}
 */
export declare const getPlaceApi: () => IPlaceApi;
/**
 * @stable [09.01.2020]
 * @returns {IFieldConverter}
 */
export declare const getFieldConverter: () => IFieldConverter;
/**
 * @stable [24.09.2019]
 * @returns {IEventManager}
 */
export declare const getStateSerializer: () => IStateSerializer<IStoreEntity<{}, {}>>;
/**
 * @stable [09.10.2019]
 * @returns {IModifyEntityPayloadFactory}
 */
export declare const getModifyEntityPayloadFactory: () => IModifyEntityPayloadFactory;
/**
 * @stable [27.11.2019]
 * @returns {(parent: IContainer) => }
 */
export declare const getDialogFormChangesConfirmStoreProxyFactory: () => DialogFormChangesConfirmStoreProxyFactoryT;
/**
 * @stable [30.03.2020]
 * @returns {StoreProxyFactoryT}
 */
export declare const getStoreProxyFactory: () => StoreProxyFactoryT;
/**
 * @stable [30.11.2019]
 * @returns {FormStoreProxyFactoryT}
 */
export declare const getFormStoreProxyFactory: () => FormStoreProxyFactoryT;
/**
 * @stable [12.04.2020]
 * @returns {TabPanelStoreProxyFactoryT}
 */
export declare const getTabPanelStoreProxyFactory: () => TabPanelStoreProxyFactoryT;
/**
 * @stable [30.03.2020]
 * @returns {ListStoreProxyFactoryT}
 */
export declare const getListStoreProxyFactory: () => ListStoreProxyFactoryT;
/**
 * @stable [30.03.2020]
 * @returns {NotificationStoreProxyFactoryT}
 */
export declare const getNotificationStoreProxyFactory: () => NotificationStoreProxyFactoryT;
/**
 * @stable [18.12.2019]
 * @returns {RouterStoreProxyFactoryT}
 */
export declare const getRouterStoreProxyFactory: () => RouterStoreProxyFactoryT;
/**
 * @stable [29.02.2020]
 * @returns {DictionaryStoreProxyFactoryT}
 */
export declare const getDictionaryStoreProxyFactory: () => DictionaryStoreProxyFactoryT;
/**
 * @stable [19.12.2019]
 * @returns {IConnectorContainerFactory}
 */
export declare const getConnectorContainerFactory: () => IConnectorContainerFactory;
/**
 * @stable [19.01.2020]
 * @returns {IUserActivityManager}
 */
export declare const getUserActivityManager: () => IUserActivityManager;
/**
 * @stable [17.06.2020]
 * @returns {IBootstrapper}
 */
export declare const getReactBootstrapper: () => IBootstrapper;
/**
 * @stable [11.06.2020]
 */
export declare class DiServices {
    static readonly auth: () => IAuth;
    static readonly dateConverter: () => IDateConverter<Date>;
    static readonly dynamicRoutes: () => Map<import("../definition").IGenericContainerCtor<import("../definition").IGenericContainerProps<{}, any>, {}>, IConnectorEntity<{}, {}>>;
    static readonly environment: () => IEnvironment;
    static readonly numberConverter: () => INumberConverter;
    static readonly reactBootstrapper: () => IBootstrapper;
    static readonly store: <TState>() => Store<TState>;
    static readonly translator: () => TranslatorT;
    static readonly uiFactory: () => IUiFactory;
    static readonly viewerLocator: () => IViewerLocator;
    static readonly webBootstrapper: () => IBootstrapper;
}
