import { interfaces } from 'inversify';
/**
 * @stable [26.04.2018]
 * @param {interfaces.ServiceIdentifier<T>} serviceIdentifier
 * @returns {any}
 */
export declare const staticInjector: <T>(serviceIdentifier: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T>) => any;
/**
 * @stable [26.04.2018]
 * @param target
 * @returns {(target: any) => any}
 */
export declare const provideInSingleton: (target: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (target: any) => any;
/**
 * @stable [16.09.2019]
 * @param {interfaces.ServiceIdentifier<T> | {new(...args: AnyT[]): T}} contract
 * @param {{new(...args: AnyT[]): T}} implementation
 * @returns {interfaces.BindingWhenOnSyntax<any>}
 */
export declare const bindInSingleton: <T>(contract: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T> | (new (...args: any[]) => T), implementation?: new (...args: any[]) => T) => interfaces.BindingWhenOnSyntax<any>;
/**
 * @stable [24.09.2019]
 * @param {interfaces.ServiceIdentifier<T>} contract
 * @param {T} instance
 * @returns {interfaces.BindingWhenOnSyntax<any>}
 */
export declare const bindToConstantValue: <T>(contract: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T>, instance?: T) => interfaces.BindingWhenOnSyntax<any>;
/**
 * @stable [08.06.2020]
 */
export declare class DiSupport {
    static readonly bindInSingleton: <T>(contract: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T> | (new (...args: any[]) => T), implementation?: new (...args: any[]) => T) => interfaces.BindingWhenOnSyntax<any>;
    static readonly bindToConstantValue: <T>(contract: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T>, instance?: T) => interfaces.BindingWhenOnSyntax<any>;
    static readonly provideInSingleton: (target: string | symbol | interfaces.Newable<any> | interfaces.Abstract<any>) => (target: any) => any;
    static readonly staticInjector: <T>(serviceIdentifier: string | symbol | interfaces.Newable<T> | interfaces.Abstract<T>) => any;
}
