"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var ts_smart_logger_1 = require("ts-smart-logger");
var P = require("platform");
var filter_1 = require("../util/filter");
var route_1 = require("../util/route");
var definedLocation = typeof location === 'undefined'
    ? { origin: '', protocol: 'http', host: 'localhost', port: '80', href: '', pathname: '', assign: function (url) { return null; } }
    : location;
var definedWindow = typeof window === 'undefined' ? {} : window;
var definedDocument = typeof document === 'undefined' ? { baseURI: '', body: null } : document;
var definedLocalStorage = typeof localStorage === 'undefined' ? { getItem: function (item) { return null; } } : localStorage;
var origin = definedLocation.origin || [definedLocation.protocol, definedLocation.host].join('//');
var BASE_PATH = (definedDocument.baseURI || definedLocation.href).replace(origin, '');
var RN_PLATFORM_NAME = Reflect.get(definedWindow, '$$RAC-RN_PLATFORM_NAME');
/**/
exports.ENV = filter_1.defValuesFilter({
    document: definedDocument,
    window: definedWindow,
    appVersion: process.env.APP_VERSION || '0.0.1',
    appProfile: process.env.APP_PROFILE || 'DEFAULT',
    prodMode: process.env.NODE_ENV === 'production',
    stageMode: process.env.NODE_ENV === 'stage',
    devModeEnabled: !!definedLocalStorage.getItem('$$RAC-DEV_MODE'),
    googleMapsKey: process.env.GOOGLE_MAPS_KEY,
    rnPlatformName: RN_PLATFORM_NAME,
    rnPlatform: !!RN_PLATFORM_NAME,
    /**/
    host: definedLocation.host,
    basePath: BASE_PATH,
    normalizedBasePath: BASE_PATH.replace(/\//g, ''),
    port: definedLocation.port || '80',
    platformName: P.name,
    documentBody: definedDocument.body,
    appPath: function () { return route_1.buildNormalizedPath((definedLocation.pathname + "/").replace(BASE_PATH, '/')); },
    buildAppPath: function (path) { return route_1.buildNormalizedPath(BASE_PATH + "/" + path + "/"); },
});
ts_smart_logger_1.LoggerFactory.makeLogger('env.interface').debug("[$environment] " + JSON.stringify(__assign({}, exports.ENV, { document: null, window: null })));
//# sourceMappingURL=env.interface.js.map