"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var edited_list_effects_proxy_1 = require("./edited-list-effects.proxy");
var failed_effects_proxy_1 = require("./failed-effects.proxy");
var loaded_list_on_form_valid_effects_proxy_1 = require("./loaded-list-on-form-valid-effects.proxy");
var paginated_list_effects_proxy_1 = require("./paginated-list-effects.proxy");
var succeed_edited_list_effects_proxy_1 = require("./succeed-edited-list-effects.proxy");
var toolbar_tools_effects_proxy_1 = require("./toolbar-tools-effects.proxy");
var untouched_list_effects_proxy_1 = require("./untouched-list-effects.proxy");
/**
 * @stable [07.06.2020]
 */
var EffectsFactories = /** @class */ (function () {
    function EffectsFactories() {
    }
    EffectsFactories.editedListEffectsProxy = edited_list_effects_proxy_1.makeEditedListEffectsProxy;
    EffectsFactories.errorEffectsProxy = failed_effects_proxy_1.makeErrorEffectsProxy;
    EffectsFactories.formSubmitErrorEffectsProxy = failed_effects_proxy_1.makeFormSubmitErrorEffectsProxy;
    EffectsFactories.listLoadErrorEffectsProxy = failed_effects_proxy_1.makeListLoadErrorEffectsProxy;
    EffectsFactories.loadedListOnFormValidEffectsProxy = loaded_list_on_form_valid_effects_proxy_1.makeLoadedListOnFormValidEffectsProxy;
    EffectsFactories.paginatedListEffectsProxy = paginated_list_effects_proxy_1.makePaginatedListEffectsProxy;
    EffectsFactories.succeedEditedListEffectsProxy = succeed_edited_list_effects_proxy_1.makeSucceedEditedListEffectsProxy;
    EffectsFactories.toolbarToolsEffectsProxy = toolbar_tools_effects_proxy_1.makeToolbarToolsEffectsProxy;
    EffectsFactories.untouchedListEffectsProxy = untouched_list_effects_proxy_1.makeUntouchedListEffectsProxy;
    return EffectsFactories;
}());
exports.EffectsFactories = EffectsFactories;
//# sourceMappingURL=effects.factory.js.map