"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var di_1 = require("../../di");
var middleware_1 = require("../middleware");
var action_1 = require("../../action");
var util_1 = require("../../util");
/**
 * @stable [23.04.2020]
 */
exports.makeFilterFormDialogEffectsProxy = function (cfg) {
    return function () {
        var Effects = /** @class */ (function () {
            function Effects() {
                /**
                 * @stable [23.04.2020]
                 * @param {IEffectsAction} action
                 * @param {TState} state
                 * @returns {IEffectsAction}
                 */
                this.$onAccept = function (action, state) {
                    return middleware_1.makeFilterFormDialogAcceptMiddleware(__assign({}, cfg, { action: action, state: state }));
                };
                /**
                 * @stable [23.04.2020]
                 * @param {IEffectsAction} action
                 * @param {TState} state
                 * @returns {IEffectsAction[]}
                 */
                this.$onClear = function (action, state) {
                    return middleware_1.makeFilterFormDialogClearMiddleware(__assign({}, cfg, { action: action, state: state }));
                };
                /**
                 * @stable [23.04.2020]
                 * @param {IEffectsAction} action
                 * @param {TState} state
                 * @returns {IEffectsAction}
                 */
                this.$onReset = function (action, state) {
                    return middleware_1.makeFilterFormDialogResetMiddleware(__assign({}, cfg, { action: action, state: state }));
                };
            }
            Effects_1 = Effects;
            var Effects_1;
            __decorate([
                redux_effects_promise_1.EffectsService.effects(action_1.FilterFormDialogActionBuilder.buildAcceptActionType(util_1.toFormSection(cfg))),
                __metadata("design:type", Object)
            ], Effects.prototype, "$onAccept", void 0);
            __decorate([
                redux_effects_promise_1.EffectsService.effects(action_1.FilterFormDialogActionBuilder.buildClearActionType(util_1.toFormSection(cfg))),
                __metadata("design:type", Object)
            ], Effects.prototype, "$onClear", void 0);
            __decorate([
                redux_effects_promise_1.EffectsService.effects(action_1.FilterFormDialogActionBuilder.buildResetActionType(util_1.toFormSection(cfg))),
                __metadata("design:type", Object)
            ], Effects.prototype, "$onReset", void 0);
            Effects = Effects_1 = __decorate([
                di_1.provideInSingleton(Effects_1)
            ], Effects);
            return Effects;
        }());
    };
};
//# sourceMappingURL=filter-form-dialog-effects.proxy.js.map