"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var redux_effects_promise_1 = require("redux-effects-promise");
var action_builder_1 = require("../../component/action.builder");
var action_1 = require("../../action");
/**
 * @stable [27.04.2020]
 * @middleware
 *
 * @param {IDestroyedContainerMiddlewareConfigEntity} config
 * @returns {IEffectsAction[]}
 */
exports.makeDestroyedContainerMiddleware = function (config) {
    return (config.tabPanelsSections || [])
        .map(function (tabPanelSection) { return action_1.TabPanelActionBuilder.buildDestroyAction(tabPanelSection); }).concat((config.formsSections || [])
        .map(function (formSection) { return action_1.FormActionBuilder.buildDestroyAction(formSection); }), (config.filtersSections || [])
        .map(function (filterSection) { return action_1.FilterActionBuilder.buildDestroyAction(filterSection); }), (config.listsSections || [])
        .map(function (listSection) { return action_builder_1.ListActionBuilder.buildDestroyAction(listSection); }), (config.customActions || [])
        .map(function (customAction) { return redux_effects_promise_1.EffectsAction.create(customAction); }));
};
//# sourceMappingURL=destroyed-container.middleware.js.map