"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var list_action_builder_1 = require("../../component/list/list-action.builder");
var action_1 = require("../../action");
var util_1 = require("../../util");
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction[]}
 */
exports.makeFilterFormDialogClearMiddleware = function (cfg) {
    return [
        action_1.FormActionBuilder.buildResetAction(util_1.toFormSection(cfg)),
        list_action_builder_1.ListActionBuilder.buildLoadAction(util_1.toListSection(cfg))
    ];
};
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction}
 */
exports.makeFilterFormDialogResetMiddleware = function (cfg) {
    return action_1.FormActionBuilder.buildResetAction(util_1.toFormSection(cfg));
};
/**
 * @stable [23.04.2020]
 * @param {IFilterFormDialogMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction}
 */
exports.makeFilterFormDialogAcceptMiddleware = function (cfg) {
    return list_action_builder_1.ListActionBuilder.buildLoadAction(util_1.toListSection(cfg));
};
//# sourceMappingURL=filer-form-dialog.middleware.js.map