"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var util_1 = require("../../util");
var action_1 = require("../../action");
var loaded_list_middleware_1 = require("./loaded-list.middleware");
/**
 * @stable [27.04.2020]
 * @middleware
 *
 * @param {IFilteredListMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction[]}
 */
exports.makeFilteredListApplyMiddleware = function (cfg) {
    return [loaded_list_middleware_1.makeLoadedListMiddleware(cfg)];
};
/**
 * @stable [27.04.2020]
 * @middleware
 *
 * @param {IFilteredListMiddlewareConfigEntity<TState>} cfg
 * @returns {IEffectsAction[]}
 */
exports.makeFilteredListDeactivateMiddleware = function (cfg) {
    return [
        action_1.FilterActionBuilder.buildDestroyAction(util_1.nvl(util_1.toFormSection(cfg), util_1.toListSection(cfg))),
        loaded_list_middleware_1.makeLoadedListMiddleware(cfg)
    ];
};
//# sourceMappingURL=filtered-list.middleware.js.map