import { IEntity, IEntityIdTWrapper, IKeyValue } from '../definitions.interface';
/**
 * @stable [16.12.2018]
 * @param {number} length
 * @returns {AnyT[]}
 */
export declare const makeArray: (length: number) => any[];
/**
 * @stable [19.11.2018]
 * @param {number[]} array
 * @returns {number}
 */
export declare const arrayMinValue: (array: number[]) => number;
/**
 * @stable [22.11.2018]
 * @param {number[]} array
 * @returns {number}
 */
export declare const arrayNextMinNegativeValue: (array: number[]) => number;
/**
 * @stable [19.12.2018]
 * @param {TValue[]} array
 * @returns {boolean}
 */
export declare const isArrayNotEmpty: <TValue>(array: TValue[]) => boolean;
/**
 * @stable [28.01.2019]
 * @param {TValue[]} array
 * @param {number} limit
 * @returns {TValue[]}
 */
export declare const subArray: <TValue>(array: TValue[], limit?: number) => TValue[];
/**
 * @stable [04.10.2019]
 * @param {TValue[]} array
 * @param {TValue} initialItem
 * @param {(entity1: IEntity, entity2: IEntity) => boolean} predicate
 * @param {(previousItem: TValue) => TValue} itemFactory
 * @returns {TValue[]}
 */
export declare const mergeArrayItem: <TValue extends IKeyValue>(array: TValue[], initialItem: TValue, predicate?: <TEntity extends IEntityIdTWrapper = IEntityIdTWrapper>(entity1: TEntity, entity2: TEntity) => boolean, itemFactory?: (previousItem: TValue) => TValue) => TValue[];
/**
 * @stable [31.08.2019]
 * @param {AnyT} values
 * @returns {boolean}
 */
export declare const areArrayValuesNotNil: (...values: any[]) => boolean;
/**
 * @stable [31.07.2020]
 */
export declare class ArrayUtils {
    static readonly doesArrayContainEntity: <TEntity extends IEntity = IEntity>(data: TEntity[], entity: IEntityIdTWrapper, predicate?: <TEntity extends IEntityIdTWrapper = IEntityIdTWrapper>(entity1: TEntity, entity2: TEntity) => boolean) => boolean;
    static readonly doesArrayContainExistedEntity: <TEntity extends IEntity = IEntity>(data: TEntity[], entity: IEntityIdTWrapper, predicate?: <TEntity extends IEntityIdTWrapper = IEntityIdTWrapper>(entity1: TEntity, entity2: TEntity) => boolean) => boolean;
}
