"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
var R = require("ramda");
var util_1 = require("../util");
var definitions_interface_1 = require("../definitions.interface");
var cond_1 = require("./cond");
/**
 * @stable [24.01.2019]
 * @param {TEntity} entity
 * @returns {TEntity}
 */
exports.shallowClone = function (entity) {
    return cond_1.ConditionUtils.ifNotNilThanValue(entity, function () { return (__assign({}, entity)); }, definitions_interface_1.UNDEF_SYMBOL);
};
/**
 * @stable [14.06.2018]
 * @param {T} o
 * @returns {T}
 */
exports.clone = function (o) { return R.clone(o); };
exports.cloneReactNodes = function (component, mergedProps, mergePropsPredicate, renderPredicate) {
    return React.Children.map(component.props.children, function (child) {
        if (R.isNil(child)) {
            return null;
        }
        else if (util_1.isPrimitive(child)) {
            return child;
        }
        else {
            var reactChild = child;
            var ref = reactChild.ref || util_1.uuid();
            var canMergeProps = mergePropsPredicate(reactChild);
            var canRender = renderPredicate ? renderPredicate(reactChild) : true;
            if (!R.isNil(canRender) && !canRender) {
                return null;
            }
            return React.cloneElement(reactChild, __assign({}, (canMergeProps && __assign({ ref: ref }, util_1.calc(mergedProps, reactChild))), { children: exports.cloneReactNodes(reactChild, mergedProps, mergePropsPredicate, renderPredicate) }));
        }
    });
};
/**
 * @stable [18.07.2020]
 */
var CloneUtils = /** @class */ (function () {
    function CloneUtils() {
    }
    CloneUtils.shallowClone = exports.shallowClone;
    return CloneUtils;
}());
exports.CloneUtils = CloneUtils;
//# sourceMappingURL=clone.js.map