/**
 * @stable [05.04.2020]
 * @param {AnyT} condition
 * @param {string | (() => string)} result
 * @returns {string}
 */
export declare const orEmpty: (condition: any, result: string | (() => string)) => string;
/**
 * @stable [05.04.2020]
 * @param {AnyT} condition
 * @param {(() => TResult) | TResult} result
 * @returns {TResult}
 */
export declare const orNull: <TResult>(condition: any, result: TResult | (() => TResult)) => TResult;
/**
 * @stable [05.04.2020]
 * @param {AnyT} condition
 * @param {(() => TResult) | TResult} result
 * @returns {TResult}
 */
export declare const orUndef: <TResult>(condition: any, result: TResult | (() => TResult)) => TResult;
/**
 * @deprecated
 */
export declare function orDefault<TResult1, TResult2>(cond: boolean, result1: TResult1 | (() => TResult1), result2: TResult2 | (() => TResult2)): TResult1 | TResult2;
/**
 * @stable [10.08.2019]
 * @param {TValue} value
 * @param {(value: TValue) => TResult} callback
 * @param {any} defaultValue
 * @returns {TResult}
 */
export declare const ifNotNilThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
/**
 * @stable [30.07.2019]
 * @param {TValue} value
 * @param {(value: TValue) => TResult} callback
 * @param {any} defaultValue
 * @returns {TResult}
 */
export declare const ifNilThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
/**
 * @stable [17.10.2019]
 * @param {TValue} value
 * @param {(value: TValue) => TResult} callback
 * @param {any} defaultValue
 * @returns {TResult}
 */
export declare const ifNotEmptyThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
/**
 * @stable [04.04.2020]
 * @param {boolean} value
 * @param {(value: boolean) => TResult} callback
 * @param {any} defaultValue
 * @returns {TResult}
 */
export declare const ifNotFalseThanValue: <TResult>(value: boolean, callback: (value: boolean) => TResult, defaultValue?: any) => TResult;
/**
 * @stable [29.03.2019]
 * @param {boolean} value
 * @param {(value: boolean) => TResult} callback
 * @param {any} defaultValue
 * @returns {TResult}
 */
export declare const ifNotTrueThanValue: <TResult>(value: boolean, callback: (value: boolean) => TResult, defaultValue?: any) => TResult;
/**
 * @stable [16.05.2020]
 */
export declare class ConditionUtils {
    static readonly ifNilThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
    static readonly ifNotEmptyThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
    static readonly ifNotNilThanValue: <TValue, TResult>(value: TValue, callback: (value: TValue) => TResult, defaultValue?: any) => TResult;
    static readonly orEmpty: (condition: any, result: string | (() => string)) => string;
    static readonly orNull: <TResult>(condition: any, result: TResult | (() => TResult)) => TResult;
    static readonly orUndef: <TResult>(condition: any, result: TResult | (() => TResult)) => TResult;
}
