"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var join_1 = require("./join");
var filter_1 = require("./filter");
/**
 * @stable [12.04.2020]
 * @param {number | string | Error | IErrorMessageEntity} error
 * @returns {IErrorMessageEntity}
 */
exports.asErrorMessage = function (error) {
    var errorMessageEntity = error;
    if (error instanceof Error) {
        return { message: error.message };
    }
    else if (errorMessageEntity && errorMessageEntity.message) {
        return filter_1.notNilValuesFilter({
            message: join_1.JoinUtils.join([errorMessageEntity.code, errorMessageEntity.message], ': '),
            code: errorMessageEntity.code,
        });
    }
    return { message: String(error) };
};
//# sourceMappingURL=error.js.map