import { IExtendedFormEntity, IFieldProps, IFormProps, IGenericFieldEntity2, IGenericFormEntity, IPresetsFieldEntity, IPresetsTabEntity, IReduxFormHolderEntity } from '../definition';
import { IEntity } from '../definitions.interface';
/**
 * @stable [06.05.2020]
 * @param {IExtendedFormEntity<TEntity>} wrapper
 * @param {IGenericFieldEntity2} fieldProps
 * @returns {AnyT}
 */
export declare const getFormFieldValue: <TEntity = IEntity>(wrapper: IExtendedFormEntity<TEntity>, fieldProps: IGenericFieldEntity2) => any;
/**
 * @stable [23.03.2020]
 * @param {IFormProps<TEntity extends IEntity>} entity
 * @returns {boolean}
 */
export declare const isFormDisabled: <TEntity extends IEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [23.04.2020]
 * @param {IFormProps<TEntity>} entity
 * @returns {boolean}
 */
export declare const isFormDirty: <TEntity = IEntity>(entity: IFormProps<TEntity>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} formEntity
 * @param {IGenericFieldEntity2} fieldProps
 * @returns {boolean}
 */
export declare const isFormFieldReadOnly: <TEntity extends IEntity = IEntity>(formEntity: IFormProps<TEntity>, fieldProps: IGenericFieldEntity2) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps} formProps
 * @param {IGenericFieldEntity2} fieldProps
 * @returns {boolean}
 */
export declare const isFormFieldDisabled: (formProps: IFormProps<IEntity>, fieldProps: IGenericFieldEntity2) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IFormProps<TEntity extends IEntity>} formProps
 * @returns {boolean}
 */
export declare const isFormSubmittable: <TEntity extends IEntity = IEntity>(formProps: IFormProps<TEntity>) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IFormProps<TEntity extends IEntity>} formProps
 * @returns {boolean}
 */
export declare const isFormResettable: <TEntity extends IEntity = IEntity>(formProps: IFormProps<TEntity>) => boolean;
/**
 * @stable [11.05.2020]
 */
export declare class FormUtils {
    static readonly fieldDisplayValue: <TEntity = IEntity>(formEntity: IExtendedFormEntity<TEntity>, fieldProps: IFieldProps, defaultFieldProps?: IFieldProps) => any;
    static readonly fieldOriginalValue: <TEntity = IEntity>(entity: IExtendedFormEntity<TEntity>, fieldProps: IFieldProps) => any;
    static readonly inProgress: <TEntity = IEntity>(entity: IReduxFormHolderEntity<TEntity>) => boolean;
    static readonly isChanged: <TEntity = IEntity>(entity: IReduxFormHolderEntity<TEntity>) => boolean;
    static readonly isFieldChangeable: (formProps: IFormProps<IEntity>, presetsFieldEntity: IPresetsFieldEntity) => boolean;
    static readonly isTabActive: <TEntity extends IEntity = IEntity>(holderFormEntity: IReduxFormHolderEntity<TEntity>, tabEntity: IPresetsTabEntity) => boolean;
    static readonly isTouched: <TEntity = IEntity>(entity: IReduxFormHolderEntity<TEntity>) => boolean;
    static readonly isValid: <TEntity = IEntity>(entity: IGenericFormEntity<TEntity>) => boolean;
}
