import { IExtendedEntity, IExtendedFormEntity, IPresetsSelectOptionEntity, IReduxActiveValueHolderEntity, IReduxFormHolderEntity, IReduxListHolderEntity, IReduxPagedEntity, IReduxPaginatedEntity, IReduxPaginatedLifeCycleEntity, IReduxQueryFilterEntity, IReduxQueryFilterHolderEntity, IReduxStoreEntity, IReduxTabPanelEntity, IReduxTabPanelHolderEntity } from '../definition';
import { IEntity, IProgressWrapper, ISectionNameWrapper } from '../definitions.interface';
/**
 * @stable [27.07.2020]
 */
export declare class MapAsOriginalUtils {
    static readonly activeValueHolderEntity: (entity: IReduxActiveValueHolderEntity) => IReduxActiveValueHolderEntity;
    static readonly extendedEntity: <TEntity = IEntity>(extendedEntity: IExtendedEntity<TEntity>) => IExtendedEntity<TEntity>;
    static readonly extendedFormEntity: <TEntity = IEntity>(form: IExtendedFormEntity<TEntity>) => IExtendedFormEntity<TEntity>;
    static readonly formHolderEntity: <TEntity = IEntity>(entity: IReduxFormHolderEntity<TEntity>) => IReduxFormHolderEntity<TEntity>;
    static readonly listHolderEntity: (entity: IReduxListHolderEntity<IEntity, any, import("../definition").IReduxListEntity<IEntity, any>>) => IReduxListHolderEntity<IEntity, any, import("../definition").IReduxListEntity<IEntity, any>>;
    static readonly pagedEntity: (entity: IReduxPagedEntity) => IReduxPagedEntity;
    static readonly paginatedEntity: (entity: IReduxPaginatedEntity) => IReduxPaginatedEntity;
    static readonly paginatedLifeCycleEntity: (entity: IReduxPaginatedLifeCycleEntity) => IReduxPaginatedLifeCycleEntity;
    static readonly progressWrapper: (wrapper: IProgressWrapper<boolean>) => IProgressWrapper<boolean>;
    static readonly queryFilterEntity: (entity: IReduxQueryFilterEntity) => IReduxQueryFilterEntity;
    static readonly queryFilterHolderEntity: (entity: IReduxQueryFilterHolderEntity) => IReduxQueryFilterHolderEntity;
    static readonly sectionNameWrapper: (wrapper: ISectionNameWrapper) => ISectionNameWrapper;
    static readonly selectOptionEntity: <TValue = IEntity>(entity: IPresetsSelectOptionEntity<TValue, string | number>) => IPresetsSelectOptionEntity<TValue, string | number>;
    static readonly storeBaseEntity: <TDictionaries = {}>(entity: IReduxStoreEntity<TDictionaries>) => IReduxStoreEntity<TDictionaries>;
    static readonly storeEntity: <TDictionaries = {}>(entity: IReduxStoreEntity<TDictionaries>) => IReduxStoreEntity<TDictionaries>;
    static readonly tabPanelHolderEntity: <TEntity = IReduxTabPanelEntity>(entity: IReduxTabPanelHolderEntity<TEntity>) => IReduxTabPanelHolderEntity<TEntity>;
}
