import { IApiEntity, IExtendedEntity, IExtendedFormEntity, INamedEntity, IOptionEntity, IPresetsBaseSelectEntity, IPresetsRawDataLabeledValueEntity, IPresetsSelectOptionEntity, IPrimaryFilterExtendedFormEntity, IReduxDictionaryEntity, IReduxFormEntity, IReduxListHolderEntity, IReduxPagedEntity, IReduxPrimaryFilterFormEntity, IReduxQueryFilterHolderEntity, IReduxSecondaryFilterFormEntity, ISecondaryFilterExtendedFormEntity } from '../definition';
import { IDisabledWrapper, IEntity, IPrimaryFilterWrapper, IProgressWrapper, IQueryWrapper, ISecondaryFilterWrapper } from '../definitions.interface';
/**
 * @stable [31.07.2020]
 */
export declare class MapAsUtils {
    static readonly dictionaryEntityAsDisabled: (dictionaryEntity: IReduxDictionaryEntity<import("../definitions.interface").IKeyValue>) => IDisabledWrapper<boolean>;
    static readonly dictionaryEntityAsProgress: (dictionaryEntity: IReduxDictionaryEntity<import("../definitions.interface").IKeyValue>) => IProgressWrapper<boolean>;
    static readonly dictionaryEntityAsSelectEntity: <TEntity, TResult = TEntity[]>(entity: IReduxDictionaryEntity<TEntity>, accessor?: (data: TEntity[]) => TResult) => IPresetsBaseSelectEntity;
    static readonly dictionaryEntityAsSelectOptionEntities: <TEntity>(dictionaryEntity: IReduxDictionaryEntity<TEntity>, accessor?: (data: TEntity | TEntity[]) => any) => IPresetsSelectOptionEntity<TEntity, string | number>[];
    static readonly entityAsExtendedEntity: <TEntity extends IEntity = IEntity>(formEntity: IReduxFormEntity<TEntity>, entity?: TEntity) => IExtendedEntity<TEntity>;
    static readonly entityAsExtendedFormEntity: <TEntity = IEntity>(formEntity: IReduxFormEntity<TEntity>, entity?: TEntity) => IExtendedFormEntity<TEntity>;
    static readonly entityAsFullSearchFilter: <TFilter, TEntity = IEntity>(entity: IReduxQueryFilterHolderEntity & IReduxListHolderEntity<TEntity, any, import("../definition").IReduxListEntity<TEntity, any>> & IPrimaryFilterWrapper<TFilter> & ISecondaryFilterWrapper<TFilter>, cfg?: {
        paging: boolean;
    }) => TFilter;
    static readonly extendedEntityAsApiEntity: <TEntity = IEntity>(extendedEntity: IExtendedEntity<TEntity>) => IApiEntity<TEntity>;
    static readonly formEntityAsFinalEntity: <TEntity = IEntity>(formEntity: IReduxFormEntity<TEntity>, entity?: TEntity) => TEntity;
    static readonly listHolderEntityAsDisabled: (listEntity: IReduxListHolderEntity<IEntity, any, import("../definition").IReduxListEntity<IEntity, any>>) => IDisabledWrapper<boolean>;
    static readonly listHolderEntityAsPagedEntity: (entity: IReduxListHolderEntity<IEntity, any, import("../definition").IReduxListEntity<IEntity, any>>, pageSize?: number) => IReduxPagedEntity;
    static readonly listSelectedEntityAsExtendedFormEntity: <TEntity = IEntity>(listHolderEntity: IReduxListHolderEntity<TEntity, any, import("../definition").IReduxListEntity<TEntity, any>>, formEntity: IReduxFormEntity<TEntity>) => IExtendedFormEntity<TEntity>;
    static readonly listSelectedEntityAsFinalEntity: <TEntity = IEntity>(listHolderEntity: IReduxListHolderEntity<TEntity, any, import("../definition").IReduxListEntity<TEntity, any>>, formEntity: IReduxFormEntity<TEntity>) => TEntity;
    static readonly namedEntityAsRawDataLabeledValueEntity: (entity: INamedEntity) => IPresetsRawDataLabeledValueEntity<IEntity, string | number>;
    static readonly optionEntitiesAsSelectOptionEntities: <TEntity extends IOptionEntity>(data: TEntity | TEntity[]) => IPresetsSelectOptionEntity<TEntity, string | number>[];
    static readonly primaryFilterFormEntityAsPrimaryFilterExtendedFormEntity: <TEntity = IEntity>(primaryFilterFormEntity: IReduxPrimaryFilterFormEntity<TEntity>, entity?: TEntity) => IPrimaryFilterExtendedFormEntity<TEntity>;
    static readonly queryFilterHolderEntityAsQuery: (entity: IReduxQueryFilterHolderEntity) => IQueryWrapper<string>;
    static readonly secondaryFilterFormEntityAsSecondaryFilterExtendedFormEntity: <TEntity = IEntity>(secondaryFilterFormEntity: IReduxSecondaryFilterFormEntity<TEntity>, entity?: TEntity) => ISecondaryFilterExtendedFormEntity<TEntity>;
}
