"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var util_1 = require("../util");
/**
 * @stable [05.08.2018]
 * @param {AnyT} v1
 * @param {AnyT} v2
 * @returns {AnyT}
 */
exports.nvl = function (v1, v2) { return R.isNil(v1) ? v2 : v1; };
/**
 * @stable [31.08.2018]
 * @param {TValue} v
 * @returns {TValue}
 */
exports.coalesce = function () {
    var v = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        v[_i] = arguments[_i];
    }
    return R.find(function (v0) { return !R.isNil(v0); }, v);
};
/**
 * @stable [13.06.2019]
 * @param {TValue} v
 * @returns {TValue}
 */
exports.coalesceDef = function () {
    var v = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        v[_i] = arguments[_i];
    }
    return R.find(function (v0) { return util_1.isDef(v0); }, v);
};
/**
 * @stable [19.05.2020]
 */
var NvlUtils = /** @class */ (function () {
    function NvlUtils() {
    }
    NvlUtils.coalesce = exports.coalesce; /* @stable [19.05.2020] */
    NvlUtils.nvl = exports.nvl; /* @stable [21.05.2020] */
    return NvlUtils;
}());
exports.NvlUtils = NvlUtils;
//# sourceMappingURL=nvl.js.map