"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var type_1 = require("./type");
var di_services_1 = require("../di/di.services");
/**
 * @stable [03.03.2020]
 * @param {React.Component<{}, {}>} scope
 */
exports.patchRenderMethod = function (scope) {
    var originalRender = scope.render;
    if (type_1.TypeUtils.isFn(originalRender)) {
        scope.render = function () {
            try {
                return originalRender.call(scope);
            }
            catch (e) {
                return di_services_1.DiServices.uiFactory().makeReactError(e);
            }
        };
    }
};
/**
 * @stable [11.06.2020]
 */
var PatchUtils = /** @class */ (function () {
    function PatchUtils() {
    }
    PatchUtils.patchRenderMethod = exports.patchRenderMethod;
    return PatchUtils;
}());
exports.PatchUtils = PatchUtils;
//# sourceMappingURL=patch.js.map