import * as React from 'react';
import { IBaseEvent } from '../definition';
import { IKeyValue } from '../definitions.interface';
/**
 * @stable [24.03.2020]
 * @param {TProps} props
 * @param {TProps} systemProps
 * @returns {TProps}
 */
export declare const mergeWithSystemProps: <TProps = IKeyValue>(props: TProps, systemProps: TProps) => TProps;
/**
 * @stable [18.05.2020]
 */
export declare class PropsUtils {
    static readonly buildClickHandlerProps: <TElement extends HTMLElement>(handler: (e?: IBaseEvent) => void, canAttachHandler?: boolean, touched?: boolean) => Partial<React.DetailedHTMLProps<React.HTMLAttributes<TElement>, TElement>>;
    static readonly mergeWithSystemProps: <TProps = IKeyValue>(props: TProps, systemProps: TProps) => TProps;
}
