"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var URI = require("urijs");
var definitions_interface_1 = require("../definitions.interface");
var calc_1 = require("./calc");
function buildRoute(path, params) {
    (path.match(/\:[a-zA-Z0-9]+/g) || []).forEach(function (placeholder) {
        path = path.replace(placeholder, params[placeholder.substring(1, placeholder.length)]);
    });
    return path;
}
exports.buildRoute = buildRoute;
/**
 * @stable [01.12.2018]
 * @param {string} path
 * @returns {string}
 */
exports.buildNormalizedPath = function (path) { return URI('/').segment(new URI(path).segment()).toString() || '/'; };
/**
 * @stable [21.08.2018]
 * @param {string} path
 * @param {TEntity} entity
 * @param {IKeyValue} params
 * @returns {string}
 */
exports.buildEntityRoute = function (path, entity, params) {
    return buildRoute(path, __assign({ id: entity ? entity.id : definitions_interface_1.NEW_OPTION }, params));
};
/**
 * @stable [11.04.2020]
 * @param {IRouteConfigurationEntity} entity
 * @returns {string}
 */
exports.getRoutePath = function (entity) {
    return R.isNil(entity) ? definitions_interface_1.UNDEF : calc_1.calc(entity.routeConfiguration.path);
};
/**
 * @stable [11.09.2019]
 * @param {string} section
 * @param {Map<string, >} connectorConfigs
 * @returns {string}
 */
exports.getRoutePathBySection = function (section, connectorConfigs) {
    var routePath = null;
    connectorConfigs.forEach(function (connectorConfig, currentSection) {
        if (currentSection === section) {
            routePath = exports.getRoutePath(connectorConfig);
        }
    });
    return routePath;
};
/**
 * @stable [07.06.2020]
 */
var RouteUtils = /** @class */ (function () {
    function RouteUtils() {
    }
    RouteUtils.buildEntityRoute = exports.buildEntityRoute; /* @stable [07.06.2020] */
    return RouteUtils;
}());
exports.RouteUtils = RouteUtils;
//# sourceMappingURL=route.js.map