import { IKeyValue } from '../definitions.interface';
import { IValidationResultEntity, ValidatorRuleEnum } from '../definition';
/**
 * @stable [06.12.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const optionalNumberLikeChecker: (value: any) => boolean;
/**
 * @stable [06.12.2019]
 * @param value
 * @returns {boolean}
 */
export declare const stringChecker: (value: any) => boolean;
/**
 * @stable [06.12.2019]
 * @param {AnyT} value
 * @returns {boolean}
 */
export declare const notEmptyString: (value: any) => boolean;
/**
 * @stable [06.12.2019]
 * @param value
 * @returns {boolean}
 */
export declare const digitChecker: (value: any) => boolean;
/**
 * @stable [28.01.2019]
 */
export declare const ValidationRules: {
    [ValidatorRuleEnum.DIGIT]: (value: any) => boolean;
    [ValidatorRuleEnum.NOT_EMPTY_STRING]: (value: any) => boolean;
    [ValidatorRuleEnum.OPTIONAL_NUMBER_LIKE]: (value: any) => boolean;
    [ValidatorRuleEnum.POSITIVE_OR_NEGATIVE_NUMBER_LIKE]: (value: any) => boolean;
    [ValidatorRuleEnum.STRING]: (value: any) => boolean;
};
/**
 * @stable [17.04.2020]
 * @param {{[K in keyof TEntity]?: ValidatorRuleEnum[]}} payloads
 * @param {TEntity} checkedObject
 * @returns {IValidationResultEntity}
 */
export declare const validate: <TEntity extends IKeyValue = IKeyValue>(payloads: { [K in keyof TEntity]?: ValidatorRuleEnum[]; }, checkedObject: TEntity) => IValidationResultEntity;
