"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var R = require("ramda");
var type_1 = require("./type");
/**
 * @stable [27.03.2020]
 * @param {boolean} value
 * @returns {boolean}
 */
var isValueValid = function (value) { return value !== false; };
/**
 * @stable [03.06.2020]
 * @param {AnyT} value
 * @param {AnyT} emptyValue
 * @returns {boolean}
 */
var isValuePresent = function (value, emptyValue) {
    return type_1.TypeUtils.isDef(value) && !R.equals(value, emptyValue);
};
/**
 * @stable [03.06.2020]
 */
var ValueUtils = /** @class */ (function () {
    function ValueUtils() {
    }
    ValueUtils.isValuePresent = isValuePresent; /* @stable [03.06.2020] */
    ValueUtils.isValueValid = isValueValid; /* @stable [08.06.2020] */
    return ValueUtils;
}());
exports.ValueUtils = ValueUtils;
//# sourceMappingURL=value.js.map