import { IAcceptableWrapper, IAcceptDisabledWrapper, IAllowEmptyFilterValueWrapper, IAlwaysDirtyWrapper, IAlwaysResettableWrapper, ICalendarActionRenderedWrapper, IChangeableWrapper, ICheckModalWrapper, IClearActionRenderedWrapper, IClosableWrapper, ICloseDisabledWrapper, IConfirmWrapper, IDecoratedWrapper, IDefaultWrapper, IDirtyWrapper, IDisabledWrapper, IDisplayValueRenderedOnlyWrapper, IEditedWrapper, IErrorMessageRenderedWrapper, IErrorWrapper, IExpandActionRenderedWrapper, IFieldRenderedWrapper, IFullWrapper, IInlineWrapper, IMultiWrapper, INavigateBackWrapper, IOpenedWrapper, IOverlayClosableWrapper, IOverlayWrapper, IPlaceActionRenderedWrapper, IPlainValueWrapper, IPreventFocusWrapper, IPreventManualChangesWrapper, IProgressWrapper, IRangeEnabledWrapper, IReadOnlyWrapper, IReadyWrapper, IRefreshOnUpdateWrapper, IScrollableWrapper, ISelectedWrapper, ISortableWrapper, ITouchedWrapper, IUseCursorWrapper, IUsePeriodNavigatorWrapper, IUsePreviewWrapper, IUseZipCodeWrapper, IValidWrapper } from '../definitions.interface';
/**
 * @stable [15.01.2020]
 * @param {TEntity} wrapper
 * @returns {boolean}
 */
export declare const isCheckModalNeeded: <TEntity extends ICheckModalWrapper = ICheckModalWrapper>(wrapper: TEntity) => boolean;
/**
 * @stable [11.03.2020]
 * @param {IConfirmWrapper} wrapper
 * @returns {boolean}
 */
export declare const isConfirm: (wrapper: IConfirmWrapper) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IReadyWrapper} entity
 * @returns {boolean}
 */
export declare const isReady: (entity: IReadyWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IFullWrapper} entity
 * @returns {boolean}
 */
export declare const isFull: (entity: IFullWrapper<boolean>) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IScrollableWrapper} entity
 * @returns {boolean}
 */
export declare const isScrollable: (entity: IScrollableWrapper) => boolean;
/**
 * @stable [24.01.2020]
 * @param {IDefaultWrapper} entity
 * @returns {boolean}
 */
export declare const isDefault: (entity: IDefaultWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IOverlayWrapper} entity
 * @returns {boolean}
 */
export declare const isOverlay: (entity: IOverlayWrapper<boolean>) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IAcceptableWrapper} entity
 * @returns {boolean}
 */
export declare const isAcceptable: (entity: IAcceptableWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IClosableWrapper} entity
 * @returns {boolean}
 */
export declare const isClosable: (entity: IClosableWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IOverlayClosableWrapper} entity
 * @returns {boolean}
 */
export declare const isOverlayClosable: (entity: IOverlayClosableWrapper) => boolean;
/**
 * @stable [28.11.2019]
 * @param {IErrorWrapper} entity
 * @returns {boolean}
 */
export declare const doesErrorExist: (entity: IErrorWrapper<string | boolean>) => boolean;
/**
 * @stable [06.03.2020]
 * @param {IRangeEnabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isRangeEnabled: (wrapper: IRangeEnabledWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {IEditedWrapper} editedEntity
 * @returns {boolean}
 */
export declare const isEdited: (editedEntity: IEditedWrapper) => boolean;
/**
 * @stable [26.10.2019]
 * @param {ISortableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isSortable: (wrapper: ISortableWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isDisabled: (wrapper: IDisabledWrapper<boolean>) => boolean;
/**
 * @stable [03.02.2020]
 * @param {ICalendarActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCalendarActionRendered: (wrapper: ICalendarActionRenderedWrapper) => boolean;
/**
 * @stable [03.02.2020]
 * @param {IReadOnlyWrapper} wrapper
 * @returns {boolean}
 */
export declare const isReadOnly: (wrapper: IReadOnlyWrapper) => boolean;
/**
 * @stable [22.01.2020]
 * @param {IInlineWrapper} wrapper
 * @returns {boolean}
 */
export declare const isInline: (wrapper: IInlineWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {ICloseDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isCloseDisabled: (wrapper: ICloseDisabledWrapper) => boolean;
/**
 * @stable [11.05.2020]
 * @param {IAcceptDisabledWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAcceptDisabled: (wrapper: IAcceptDisabledWrapper) => boolean;
/**
 * @stable [23.03.2020]
 * @param {IAlwaysResettableWrapper} wrapper
 * @returns {boolean}
 */
export declare const isAlwaysResettable: (wrapper: IAlwaysResettableWrapper) => boolean;
/**
 * @stable [13.11.2019]
 * @param {IMultiWrapper} wrapper
 * @returns {boolean}
 */
export declare const isMulti: (wrapper: IMultiWrapper) => boolean;
/**
 * @stable [26.11.2019]
 * @param {IPlaceActionRenderedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPlaceActionRendered: (wrapper: IPlaceActionRenderedWrapper) => boolean;
/**
 * @stable [11.01.2020]
 * @param {IUseZipCodeWrapper} entity
 * @returns {boolean}
 */
export declare const isUseZipCode: (entity: IUseZipCodeWrapper) => boolean;
/**
 * @stable [28.01.2020]
 * @param {IDisplayValueRenderedOnlyWrapper} entity
 * @returns {boolean}
 */
export declare const isDisplayValueRenderedOnly: (entity: IDisplayValueRenderedOnlyWrapper) => boolean;
/**
 * @stable [23.04.2020]
 * @param {IAlwaysDirtyWrapper} entity
 * @returns {boolean}
 */
export declare const isAlwaysDirty: (entity: IAlwaysDirtyWrapper) => boolean;
/**
 * @stable [01.08.2020]
 * @param entity
 */
export declare const isDirty: (entity: IDirtyWrapper) => boolean;
/**
 * @stable [15.03.2020]
 * @param {IOpenedWrapper} wrapper
 * @returns {boolean}
 */
export declare const isOpened: (wrapper: IOpenedWrapper<boolean>) => boolean;
/**
 * @stable [16.03.2020]
 * @param {IUsePreviewWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPreviewUsed: (wrapper: IUsePreviewWrapper) => boolean;
/**
 * @stable [25.03.2020]
 * @param {IUsePeriodNavigatorWrapper} wrapper
 * @returns {boolean}
 */
export declare const isPeriodNavigatorUsed: (wrapper: IUsePeriodNavigatorWrapper) => boolean;
/**
 * @stable [11.04.2020]
 * @param {INavigateBackWrapper} wrapper
 * @returns {boolean}
 */
export declare const isNavigateBackNeeded: (wrapper: INavigateBackWrapper) => boolean;
/**
 * @stable [18.05.2020]
 */
export declare class WrapperUtils {
    static readonly areManualChangesNotPrevented: (wrapper: IPreventManualChangesWrapper) => boolean;
    static readonly inProgress: (wrapper: IProgressWrapper<boolean>) => boolean;
    static readonly isAllowEmptyFilterValue: (wrapper: IAllowEmptyFilterValueWrapper) => boolean;
    static readonly isChangeable: (wrapper: IChangeableWrapper) => boolean;
    static readonly isClearActionRendered: (wrapper: IClearActionRenderedWrapper) => boolean;
    static readonly isCursorUsed: (wrapper: IUseCursorWrapper<boolean>) => boolean;
    static readonly isDecorated: (wrapper: IDecoratedWrapper) => boolean;
    static readonly isDirty: (entity: IDirtyWrapper) => boolean;
    static readonly isDisabled: (wrapper: IDisabledWrapper<boolean>) => boolean;
    static readonly isErrorMessageRendered: (wrapper: IErrorMessageRenderedWrapper) => boolean;
    static readonly isExpandActionRendered: (wrapper: IExpandActionRenderedWrapper) => boolean;
    static readonly isFieldRendered: (wrapper: IFieldRenderedWrapper) => boolean;
    static readonly isFocusPrevented: (wrapper: IPreventFocusWrapper) => boolean;
    static readonly isFull: (entity: IFullWrapper<boolean>) => boolean;
    static readonly isInline: (wrapper: IInlineWrapper) => boolean;
    static readonly isPlainValueApplied: (entity: IPlainValueWrapper) => boolean;
    static readonly isReadOnly: (wrapper: IReadOnlyWrapper) => boolean;
    static readonly isRefreshOnUpdateNeeded: (wrapper: IRefreshOnUpdateWrapper) => boolean;
    static readonly isSelected: (wrapper: ISelectedWrapper<boolean>) => boolean;
    static readonly isTouched: (wrapper: ITouchedWrapper) => boolean;
    static readonly isValid: (wrapper: IValidWrapper) => boolean;
}
